/***************************************************************************
    file	         : kb_cvsadvanced.h
    copyright            : (C) 1999,2000,2001,2002,2003 by Mike Richardson
			   (C) 2000,2001,2002,2003 by theKompany.com
			   (C) 2001,2002,2003 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#include	<qcombobox.h>
#include	<qcheckbox.h>

#include	"kb_classes.h"
#include	"kb_database.h"
#include	"kb_dom.h"

class	RKTabWidget	;

class	KBCSVAdvanced : public KBDBAdvanced
{
	Q_OBJECT

	QString		m_delimiter		;
	QString		m_qualifier		;
	bool		m_hasHeaders		;

	QComboBox	*m_cbDelimiter		;
	QComboBox	*m_cbQualifier		;
	QCheckBox	*m_cbHasHeaders		;

public	:

	KBCSVAdvanced	()	;
virtual~KBCSVAdvanced	()	;

	virtual	void		load		(const QDomElement &) ;
	virtual	void		save		(QDomElement	   &) ;
	virtual	void		setupDialog	(RKTabWidget	   *) ;
	virtual	void		saveDialog	() ;
	virtual	KBDBAdvanced	*copy		() ;

	friend	class	KBCSV	;
}	;
