/***************************************************************************
    file	         : kb_odbcadv.h
    copyright            : (C) 1999,2000,2001,2002 by Mike Richardson
			   (C) 2000,2001,2002 by theKompany.com
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *     This program is licensed under the terms contained in the file      *
 *     LICENSE which is contained with the source code distribution.       *
 *                                                                         *
 ***************************************************************************/


#include	<qlayout.h>
#include	<qcheckbox.h>
#include	<qcombobox.h>

#include	"kb_classes.h"
#include	"kb_database.h"
#include	"kb_dom.h"

class	RKTabWidget	;

namespace	ODBC_NS
{

class	KBODBCAdvanced : public KBDBAdvanced
{
	Q_OBJECT

	bool		m_mapCRLF		;
	bool		m_showSysTables		;
	bool		m_mapExpressions	;
	QString		m_odbcType		;

	QCheckBox	*m_cbMapCRLF		;
	QCheckBox	*m_cbShowSysTables	;
	QCheckBox	*m_cbMapExpressions	;
	QComboBox	*m_cbOdbcType		;

public	:

	KBODBCAdvanced	()	;
virtual~KBODBCAdvanced	()	;

	virtual	void		load		(const QDomElement &) ;
	virtual	void		save		(QDomElement	   &) ;
	virtual	void		setupDialog	(RKTabWidget	   *) ;
	virtual	void		saveDialog	() ;
	virtual	KBDBAdvanced	*copy		() ;

	friend	class	KBODBC	;
}	;

}	;
