/***************************************************************************
    file	         : kb_navgui.h
    copyright            : (C) 1999,2000,2001,2002,2003 by Mike Richardson
			   (C) 2000,2001,2002,2003 by theKompany.com
			   (C) 2001,2002,2003 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/


#ifndef		__KB_NAVGUI_H
#define		__KB_NAVGUI_H

#include	"kb_classes.h"
#include	"kb_gui.h"

#include	"libapp_exports.h"


class LIBAPP_API KBNavGUI : public KBaseGUI
{
	TKAction	*m_actFirst	;
	TKAction	*m_actPrev	;
	TKAction	*m_actNext	;
	TKAction	*m_actLast	;
	TKAction	*m_actAdd	;
	TKAction	*m_actDelete	;
	TKAction	*m_actStart	;
	TKAction	*m_actExec	;
	TKAction	*m_actCancel	;
	TKAction	*m_actReload	;

	bool		m_located	;

public	:

	KBNavGUI (QObject *, const QObject *, const QString  &) ;

	virtual		~KBNavGUI	() ;

	void		setFocusAtRow	(bool, uint, uint, bool) ;
}	;


#endif	// __KB_NAVGUI_H
