/***************************************************************************
    file	         : kb_blowfish.h
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

/***************************************************************************
    The Blowfish code is based on code by Bruce Schneier, see
        http://www.schneier.com/blowfish-download.html
 ***************************************************************************/

#ifndef	__KB_BLOWFISH_H
#define	__KB_BLOWFISH_H

#include	"libcommon_exports.h"

extern	LIBCOMMON_API
		void	kbBlowfishEncipher
			(	const char	*key,
				unsigned char	*msg,
				int		msglen
			)	;

extern	LIBCOMMON_API
		void	kbBlowfishDecipher
			(	const char	*key,
				unsigned char	*msg,
				int		msglen
			)	;


#endif	// __KB_BLOWFISH_H
