/***************************************************************************
    file	         : kb_callback.cpp
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/


#include "kb_callback.h"


KBCallback::~KBCallback	()
{
}

KB::ShowRC
	KBCallback::openObject
	(	KBNode			*,
		const KBLocation 	&,
		KB::ShowAs		,
		QDict<QString>		&,
		KBError			&,
		const KBValue		&,
		QDict<QString>		*
	)
{
	return	KB::ShowRCError	;
}

bool	KBCallback::newObject
	(	const KBLocation 	&,
		KBError			&
	)
{
	return	false	;
}

bool	KBCallback::editScript
	(	const KBLocation 	&,
		const QString		&,
		const QString		&,
		uint			,
		KBError			&
	)
{
	return	false	;
}

KBObjBase
	*KBCallback::showingObj
	(	const KBLocation	&
	)
{
	return	0	;
}

KBNode	*KBCallback::objectNode
	(	const KBLocation	&
	)
{
	return	0	;
}

void	KBCallback::logQuery
	(	const QString		&,
		const QString		&,
		const QString		&,
		bool			,
		uint			,
		const KBValue		*
	)
{
}

void	*KBCallback::logEvent
	(	const QString		&,
		const QString		&,
		const QString		&,
		const QString		&,
		uint			,
		const KBValue		*
	)
{
	return	0 ;
}

void	KBCallback::logEventResult
	(	const KBValue		&,
		bool			,
		void			*
	)
{
}

void	KBCallback::logScript
	(	const QString	&,
		bool
	)
{
}

TKAction*KBCallback::globalAction
	(	const QString	&
	)
{
	return	0 ;
}

bool	KBCallback::useMDIMode ()
{
	return	false	;
}

void	KBCallback::addPart
	(	KBasePart	*
	)
{
}

void	KBCallback::dropPart
	(	KBasePart	*
	)
{
}

void	KBCallback::alterPart
	(	KBasePart	*
	)
{
}


bool	KBCallback::displayError
	(	const KBError	&,
		const QString	&,
		cchar		*,
		uint
	)
{
	return	false	;
}
