/***************************************************************************
    file	         : kb_sidepanel.h
    copyright            : (C) 1999,2000,2001,2002,2003,2004 by Mike Richardson
			   (C) 2001,2002,2003,2004 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__KB_SIDEPANEL_H
#define	__KB_SIDEPANEL_H

#include	<qframe.h>
#include	<qstring.h>
#include	<qfont.h>

#include 	"libcommon_exports.h"

class	LIBCOMMON_API KBSidePanel : public QFrame
{
protected	:

	QString		m_legend	;
	QString		m_extra		;

	QFont		m_legendFont	;
	QFont		m_extraFont	;
	int		m_legendHeight	;
	int		m_extraHeight	;

	virtual	void	paintEvent	(QPaintEvent *)	;

public	:

	KBSidePanel
	(	QWidget		*,
		const QString	& = QString::null,
		const QString	& = QString::null
	)	;

	void		setExtra	(const QString &) ;
}	;

#endif	// __KB_SIDEPANEL_H

