/***************************************************************************
    file	         : kb_sshtunnel.h
    copyright            : (C) 1999,2000,2001,2002,2003 by Mike Richardson
			   (C) 2000,2001,2002,2003 by theKompany.com
			   (C) 2001,2002,2003 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__KB_SSHTUNNEL_H
#define	__KB_SSHTUNNEL_H

#include	<sys/types.h>
#include	<qtimer.h>

#include	"rk_dialog.h"
#include	"kb_classes.h"



class	RKProgress	;
class	RKPushButton	;


class	KBSSHTunnel : public RKDialog
{
	Q_OBJECT

	pid_t		m_pid		;
	int		m_port		;
	KBError		&m_error	;

	RKProgress	*m_progress	;
	RKPushButton	*m_bCancel	;

	QTimer		m_timer		;
	uint		m_count		;

private slots :

	void	slotTimerEvent	()	;
	void	slotClickCancel	()	;

public	:

	KBSSHTunnel (const QString &, pid_t, int, KBError &) ;
}	;

#endif	// __KB_SSHTUNNEL_H
