/***************************************************************************
    file	         : std.h
    copyright            : (C) 1999,2000,2001,2002,2003 by Mike Richardson
			   (C) 2000,2001,2002,2003 by theKompany.com
			   (C) 2001,2002,2003 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__STD_H_
#define	__STD_H_

#include "libel32_exports.h"

#ifdef	MAINDEF
#define	EXTERN		LIBEL32_API
#define	INITIAL(v)	= v
#else
#define	EXTERN		extern LIBEL32_API
#define	INITIAL(v)
#endif

#define	GFUNC	EXTERN		/* Global function marker - K&R		*/
#define	PUBLIC  EXTERN		/* Global function marker - ANSI/C++	*/
#define	GVAR	EXTERN		/* Global variable marker		*/



extern	LIBEL32_API	void	errorE	(const char *, ...) ;
extern	LIBEL32_API	void	errorP	(const char *, ...) ;
extern	LIBEL32_API	void	errorI	(const char *, ...) ;



#endif	// __STD_H_
