/***************************************************************************
    file	         : kb_attrframe.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__KB_ATTRFRAME_H
#define	__KB_ATTRFRAME_H

#include	"libkbase_exports.h"
#include	"kb_attr.h"

#if		! __KB_RUNTIME
#include	"kb_attritem.h"
#endif

/*  KBAttrAlign								*/
/*  -----------								*/
/*  This class handles attributes specify the frame for a block or	*/
/*  container, also pixmaps.						*/

class	LIBKBASE_API	KBAttrFrame : public KBAttrStr
{
public	:

	KBATTRCTRDEF (KBAttrFrame, KBAttrStr)
	KBATTRDLGDEF

#if	! __KB_RUNTIME
	virtual	QString		displayValue	(const QString &) ;

	static	IntChoice	*getChoiceShadow() ;
	static	IntChoice	*getChoiceShape () ;
#endif
}	;

#endif	// __KB_ATTRFRAME_H
