/***************************************************************************
    file	         : kb_attrhelper.cpp
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#include	"kb_attrhelper.h"

#if		! __KB_RUNTIME

#include	"kb_attrhelperdlg.h"

/*  KBAttrHelper							*/
/*  getAttrDlg	: Get dialog component for helper selection		*/
/*  parent	: QWidget *		: Parent widget			*/
/*  item	: KBAttrItem *		: Associated item		*/
/*  attrDict	: QDict<KBAttrItem> &	: Attribute dictionary		*/
/*  (returns)	: KBAttrDlg *		: Actually KBAttrHelperDlg	*/

KBAttrDlg
	*KBAttrHelper::getAttrDlg
	(	QWidget			*parent,
		KBAttrItem		*item,
		QDict<KBAttrItem>	&attrDict
	)
{
	return	new KBAttrHelperDlg (parent, this, item, attrDict) ;
}

/*  KBAttrStretch							*/
/*  displayValue: Get display text for value				*/
/*  value	: const QString & : Actual value			*/
/*  (returns)	: QString	  : Display text for value		*/

QString	KBAttrHelper::displayValue
	(	const QString	&value
	)
{
	return	value	;
}

#endif

int	KBAttrHelper::dummy ()
{
	return	0	;
}
