/***************************************************************************
    file	         : kb_attrhelperdlg.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	_KB_ATTRHELPERDLG_H
#define	_KB_ATTRHELPERDLG_H

#if	! __KB_RUNTIME


#include	"libkbase_exports.h"

#include	"kb_classes.h"
#include	"kb_attrimagedlg.h"
#include	"kb_propdlg.h"

class		RKComboBox	;
class		RKLineEdit	;
class		RKPushButton	;

/*  KBAttrHelperDlg							*/
/*  ---------------							*/
/*  Dialog component for selecting a helper.				*/

class	LIBKBASE_API	KBAttrHelperDlg : public KBAttrImageBaseDlg
{
	Q_OBJECT

	RKComboBox		*m_helper	;
	RKPushButton		*m_showme	;

protected slots :

	void		helperChanged	()	;
	void		showMe		()	;

public	:

	KBAttrHelperDlg		(QWidget *, KBAttr *, KBAttrItem *, QDict<KBAttrItem> &) ;

	virtual	bool		init		(const QString &) ;
	virtual QString		value		() ;
}	;


#endif	// ! __KB_RUNTIME
#endif	// _KB_ATTRHELPERDLG_H
