/***************************************************************************
    file	         : kb_attrnoupdatedlg.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	_KB_ATTRNOUPDATEDLG_H
#define	_KB_ATTRNOUPDATEDLG_H

#if	! __KB_RUNTIME

#include	"libkbase_exports.h"

#include	"kb_classes.h"
#include	"kb_attrdlg.h"
#include	"kb_propdlg.h"

class		RKComboBox	;

/*  KBAttrNoupdateDlg							*/
/*  ------------							*/
/*  Dialog component for selecting no-update settings			*/

class	LIBKBASE_API	KBAttrNoupdateDlg : public KBAttrDlg
{
	Q_OBJECT

	RKComboBox		*m_noupdate		;

public	:

	KBAttrNoupdateDlg	(QWidget *, KBAttr *, KBAttrItem *, QDict<KBAttrItem> &) ;

	virtual	bool		init		(const QString &) ;
	virtual	QString		value		() ;
}	;


#endif	// ! __KB_RUNTIME
#endif	// _KB_ATTRNOUPDATEDLG_H
