/***************************************************************************
    file	         : kb_attroptlistdlg.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef		__KB_ATTROPTLISTDLGDLG_H
#define		__KB_ATTROPTLISTDLGDLG_H

#if		! __KB_RUNTIME

#include	"libkbase_exports.h"

#include	"kb_classes.h"
#include	"kb_attrdlg.h"
#include	"kb_propdlg.h"


class	KBAttrOptlist	;
class	RKCheckBox	;

/*  KBAttrOptlistDlg							*/
/*  ----------------							*/
/*  DIalog component for selecting images, also handles loading images	*/
/*  into the gallery.							*/

class	LIBKBASE_API	KBAttrOptlistDlg : public KBAttrDlg
{
	Q_OBJECT

	QPtrList<RKCheckBox>	m_options	;

public	:

	KBAttrOptlistDlg	(QWidget *, KBAttrOptlist *, KBAttrItem *, QDict<KBAttrItem> &) ;

	virtual	bool		init		(const QString &) ;
	virtual	QString		value		() ;
}	;


#endif		// ! __KB_RUNTIME
#endif		// __KB_ATTROPTLISTDLGDLG_H
