/***************************************************************************
    file	         : kb_attrskinelem.cpp
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#include	"kb_attrskinelem.h"

#if		! __KB_RUNTIME

#include	"kb_attrskinelemdlg.h"

/*  KBAttrSkinElem							*/
/*  getAttrDlg	: Get dialog component for server selection		*/
/*  parent	: QWidget *		: Parent widget			*/
/*  item	: KBAttrItem *		: Associated item		*/
/*  attrDict	: QDict<KBAttrItem> &	: Attribute dictionary		*/
/*  (returns)	: KBAttrDlg *		: Actually KBAttrSkinDlg	*/

KBAttrDlg
	*KBAttrSkinElem::getAttrDlg
	(	QWidget			*parent,
		KBAttrItem		*item,
		QDict<KBAttrItem>	&attrDict
	)
{
	return	new KBAttrSkinElemDlg (parent, this, item, attrDict) ;
}

#endif

/*  KBAttrSkinElem							*/
/*  replicate	: Replicate attribute with new owner			*/
/*  (returns)	: KBAttr *	: Replicant				*/

KBAttr	*KBAttrSkinElem::replicate
	(	KBNode	*owner
	)
{
	return	new KBAttrSkinElem (owner, m_name, getValue(), m_nFlags) ;
}


int	KBAttrSkinElem::dummy ()
{
	return	0	;
}
