/***************************************************************************
    file	         : kb_attrskinelem.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__KB_ATTRSKINELEM_H
#define	__KB_ATTRSKINELEM_H

#include	"libkbase_exports.h"
#include	"kb_attr.h"

#if		! __KB_RUNTIME
#include	"kb_attritem.h"
#endif

/*  KBAttrSkinElem								*/
/*  --------------							*/
/*  This class handles attributes which specify a skin element.		*/

class	LIBKBASE_API	KBAttrSkinElem : public KBAttrStr
{
public	:

	KBATTRCTRDEF (KBAttrSkinElem, KBAttrStr)
	KBATTRDLGDEF

	virtual	KBAttr		*replicate	(KBNode  * ) ;
}	;

#endif	// __KB_ATTRSKINELEM_H
