/***************************************************************************
    file	         : kb_attrskinelemdlg.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	_KB_ATTRTSKINELEMDLG_H
#define	_KB_ATTRTSKINELEMDLG_H

#if	! __KB_RUNTIME


#include	"libkbase_exports.h"

#include	"kb_classes.h"
#include	"kb_attrdlg.h"
#include	"kb_propdlg.h"

class		RKComboBox	;
class		QLabel		;

/*  KBAttrSkinElemDlg							*/
/*  -----------------							*/
/*  DIalog component for selecting a skin element.			*/

class	LIBKBASE_API	KBAttrSkinElemDlg : public KBAttrDlg
{
	Q_OBJECT

	RKComboBox		*m_skinElem	;
	QLabel			*m_swatch	;

	void			loadSkinElements() ;

protected slots :

	void			setSwatch	() ;
	void			editSkin	() ;

public	:

	KBAttrSkinElemDlg	(QWidget *, KBAttr *, KBAttrItem *, QDict<KBAttrItem> &) ;

	virtual	bool		init		(const QString &) ;
	virtual QString		value		() ;
}	;


#endif	// ! __KB_RUNTIME
#endif	// _KB_ATTRSKINELEMDLG_H
