/***************************************************************************
    file	         : kb_attrvalidator.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__KB_ATTRVALIDATOR_H
#define	__KB_ATTRVALIDATOR_H

#include	"libkbase_exports.h"
#include	"kb_attr.h"

#if		! __KB_RUNTIME
#include	"kb_attritem.h"
#endif

/*  KBAttrValidator							*/
/*  ------------							*/
/*  This class handles attributes which specify a validator marker.	*/

class	LIBKBASE_API	KBAttrValidator : public KBAttrStr
{
public	:

	KBATTRCTRDEF (KBAttrValidator, KBAttrStr)
	KBATTRDLGDEF

#if	! __KB_RUNTIME
	virtual	QString		displayValue	(const QString &) ;
#endif

	int			validatorMode	(QString &, QString &) ;
}	;

#endif	// __KB_ATTRVALIDATOR_H
