/***************************************************************************
    file	         : kb_choicedlg.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	_KB_CHOICEDLG_H
#define	_KB_CHOICEDLG_H

#if	! __KB_RUNTIME

#include 	"libkbase_exports.h"

#include	<qapplication.h>
#include	<qdialog.h>
#include	<qptrlist.h>
#include	<qlabel.h>
#include	<qpushbutton.h>

#include	"kb_classes.h"
#include	"kb_node.h"
#include	"kb_itemdlg.h"


/*  KBChoicePropDlg							*/
/*  ---------------							*/
/*  Wrapper class for choice properties dialog. Handles special-case	*/
/*  properties.								*/

class LIBKBASE_API	KBChoicePropDlg : public KBItemPropDlg
{
	Q_OBJECT

	KBChoice	*choice	;

protected :

	virtual	bool	showProperty (KBAttrItem *) ;
	virtual	bool	saveProperty (KBAttrItem *) ;

public	:

	KBChoicePropDlg (KBChoice *, cchar *, QPtrList<KBAttr> &, cchar * = 0) ;
       ~KBChoicePropDlg () ;
}	;

#endif
#endif	// _KB_CHOICEDLG_H
