/***************************************************************************
    file	         : kb_compinitdlg.cpp
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/


#include	<qtextview.h>
#include	<qlabel.h>

#if	 	__KB_AUTOMOC
#include	"kb_compinitdlg.moc"
#else
#include	"kb_compinitdlg.h"
#endif

#include	"kb_locator.h"



KBCompInitDlg::KBCompInitDlg
	(	bool		&ok
	)
	:
	KBWizard (0, QString::null)
{
	QString	source	= locateFile ("appdata", "wizards/wizCompSetup.wiz") ;

	if (source.isEmpty())
	{
		fprintf
		(	stderr,
			"KBCompInitDlg::KBCompInitDlg: Cannot locate wizCompSetup.wiz\n"
		)	;
		ok	= false	;
		return	;
	}

	ok = init (source) ;
}

KB::ObjType
	KBCompInitDlg::type ()
{
	int	v = ctrlAttribute ("type", "type", "index").toInt() ;
	return	v == 0 ? KB::ObjForm    :
		v == 1 ? KB::ObjReport  :
			 KB::ObjUnknown ;
}

KBAttrGeom::MgmtMode
	KBCompInitDlg::management ()
{
	int	idx	= ctrlAttribute ("mgmt", "mgmt", "index").toInt() ;
	return	idx == 1 ? KBAttrGeom::MgmtDynamic : KBAttrGeom::MgmtStatic ;
}

QString	KBCompInitDlg::language ()
{
	return	ctrlValue ("script", "script") ;
}
