/***************************************************************************
    file	         : kb_complinkdlg.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	_KB_ITEMDLG_H
#define	_KB_ITEMDLG_H

#if	! __KB_RUNTIME

#include	"libkbase_exports.h"

#include	"kb_classes.h"
#include	"kb_database.h"
#include	"kb_complink.h"
#include	"kb_propdlg.h"

class	KBCompLink	;
class	KBOverrideDlg	;

/*  KBCompLinkPropDlg							*/
/*  --------------							*/

class	LIBKBASE_API	KBCompLinkPropDlg : public KBPropDlg
{
	Q_OBJECT

	KBCompLink		*m_compLink	;
	KBOverrideDlg		*m_overrideDlg	;

protected :

	virtual	void	preExec		()	;
	virtual	bool	showProperty	(KBAttrItem *) ;
	virtual	bool	saveProperty	(KBAttrItem *) ;

protected slots :

	virtual	void	clickOK		() ;

public	:

	KBCompLinkPropDlg (KBCompLink *, cchar *, QPtrList<KBAttr> &, cchar * = 0) ;
       ~KBCompLinkPropDlg () ;
}	;

#endif
#endif	// _KB_ITEMDLG_H
