/***************************************************************************
    file	         : kb_forminitdlg.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	_KB_FORMINITDLG_H
#define	_KB_FORMINITDLG_H

#if	! __KB_RUNTIME

#include	"libkbase_exports.h"
#include	"kb_dialog.h"
#include	"kb_block.h"
#include	"kb_attrgeom.h"
#include	"kb_wizard.h"


/*  KBFormInitDlg							*/
/*  -------------							*/
/*  This dialog is used at the very start of form creation to prompt	*/
/*  for some stuff this must be set but it a bit obscure. Whether this	*/
/*  makes it any better is a different matter ....			*/

class	LIBKBASE_API	KBFormInitDlg : public KBWizard
{
	Q_OBJECT

public	:

	KBFormInitDlg	(bool &)	;

	KBBlock::BlkType	toplevel	() ;
	KBAttrGeom::MgmtMode	management	() ;
	QString			language	() ;
}	;

#endif
#endif	// _KB_FORMINITDLG_H
