/***************************************************************************
    file	         : kb_framerdlg.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__KB_FRAMERDLG_H
#define	__KB_FRAMERDLG_H


#if	! __KB_RUNTIME

#include	"libkbase_exports.h"
#include	"kb_propdlg.h"


class	KBHiddenDlg	;

/*  KBFramerPropDlg							*/
/*  --------------							*/
/*  Wrapper class for qblock properties dialog. Handles special-case	*/
/*  properties.								*/

class LIBKBASE_API	KBFramerPropDlg : public KBPropDlg
{
	Q_OBJECT

	KBHiddenDlg	*m_hiddenDlg	;

protected :

	virtual	bool	showProperty	(KBAttrItem *) ;
	virtual	bool	saveProperty	(KBAttrItem *) ;
	virtual	void	preExec	    	() ;

protected slots :

	virtual	void	clickOK		() ;
	virtual	void	clickCancel	() ;

public	:

	KBFramerPropDlg (KBFramer *, QPtrList<KBAttr> &, cchar * = 0) ;
       ~KBFramerPropDlg () ;
}	;


extern	LIBKBASE_API	bool	framerPropDlg
			(	KBFramer	*,
				QPtrList<KBAttr>	&,
				cchar		*
			)	;

#endif
#endif	// __KB_FRAMERDLG_H
