/***************************************************************************
    file	         : kb_graphicdlg.cpp
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#include	<qframe.h>
#include	<qmessagebox.h>

#include	"kb_classes.h"
#include	"kb_attr.h"
#include	"kb_graphic.h"
#include	"kb_itemdlg.h"


/*  graphicPropDlg: Run the graphic properties dialog			*/
/*  graphic	  : KBGraphic *	  : Parent graphic			*/
/*  caption	  : const char *  : Dialog box caption			*/
/*  attribs	  : QPtrList<KBAttr>&: List of attributes			*/
/*  apply	  : bool	  : Show apply button			*/
/*  (returns)	  : bool	  : Success				*/

bool	LIBKBASE_API graphicPropDlg
	(	KBGraphic	*graphic,
		cchar		*caption,
		QPtrList<KBAttr>	&attribs
	)
{
	KBPropDlg pDlg (graphic, caption, attribs) ;
	return	pDlg.exec () ;
}
