/***************************************************************************
    file	         : kb_hiddendlg.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__KB_HIDDENDLG_H
#define	__KB_HIDDENDLG_H

#include	<qptrlist.h>
#include	<qstring.h>

#include	"kb_classes.h"

#include	"libkbase_exports.h"

#include	"rk_hbox.h"

class	RKPushButton	;
class	RKListView	;

class	LIBKBASE_API KBHiddenDlg : public RKHBox
{
	Q_OBJECT

	RKListView		*m_listView	;
	RKPushButton		*m_bAdd		;
	RKPushButton		*m_bEdit	;
	RKPushButton		*m_bRemove	;

	KBObject		*m_object	;
	KBAttrStr		*m_attrHidden	;
	QPtrList<KBHidden>		m_hidden	;

private slots :

	void	clickAdd	()	;
	void	clickRemove	()	;
	void	selected	()	;
	void	clickEdit	()	;

public	:

	KBHiddenDlg		(QWidget *, KBObject *) ;
	~KBHiddenDlg		()	;

	QString	getText		()	;

	void	clickOK		()	;
	void	clickCancel	()	;
}	;

#endif	// __KB_HIDDENDLG_H
