/***************************************************************************
    file	         : kb_labelskipdlg.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/


#ifndef		__KB_LABELSKIPDLG_H
#define		__KB_LABELSKIPDLG_H

#include	"libkbase_exports.h"

#include	"kb_dialog.h"

class	QCheckBox		;
class	QSpinBox		;
class	KBLabelSkipSampler	;


class	LIBKBASE_API KBLabelSkipDlg : public KBDialog
{
	Q_OBJECT

	QCheckBox		*m_borders	;
	QSpinBox		*m_skipover	;
	KBLabelSkipSampler	*m_sampler	;

protected slots :

	void		bordersChanged	()	;
	void		skipOverChanged	()	;

public	:

	KBLabelSkipDlg	(bool, uint, uint)	;

	bool		borders		()	;
	uint		skipOver	()	;

}	;

#endif		// __KB_LABELSKIPDLG_H
