/***************************************************************************
    file	         : kb_linkdlg.cpp
    copyright            : (C) 1999,2000,2001,2002,2003,2004 by Mike Richardson
			   (C) 2001,2002,2003,2004 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/


#include	"kb_link.h"
#include	"kb_linktreedlg.h"

/*  linkPropDlg	: Run the link properties dialog			*/
/*  link	: KBLink *	    : Parent link			*/ 
/*  caption	: cchar * 	    : Dialog box caption		*/
/*  attribs	: QPtrList<KBAttr>& : List of attributes		*/
/*  iniAttr	: cchar *	    : Initial attribute			*/
/*  (returns)	: bool		    : Success				*/

bool	linkPropDlg
	(	KBLink			*link,
		cchar			*caption,
		QPtrList<KBAttr>	&attribs,
		cchar			*iniAttr
	)
{
	KBLinkTreePropDlg lDlg (link, caption, attribs, iniAttr) ;
	return	lDlg.exec () ;
}
