/***************************************************************************
    file	         : kb_listboxdlg.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef		__KB_LISTBOXDLG_H
#define		__KB_LISTBOXDLG_H

#if		! __KB_RUNTIME

#include 	"libkbase_exports.h"

#include	<qapplication.h>
#include	<qdialog.h>
#include	<qptrlist.h>
#include	<qlabel.h>
#include	<qpushbutton.h>

#include	"kb_classes.h"
#include	"kb_node.h"
#include	"kb_itemdlg.h"


class	KBListBox	;

/*  KBListBoxPropDlg							*/
/*  ---------------							*/
/*  Wrapper class for listbox properties dialog. Handles special-case	*/
/*  properties.								*/

class	LIBKBASE_API	KBListBoxPropDlg : public KBItemPropDlg
{
	Q_OBJECT

	KBListBox	*m_listbox	;

protected :

	virtual	bool	showProperty (KBAttrItem *) ;
	virtual	bool	saveProperty (KBAttrItem *) ;

public	:

	KBListBoxPropDlg (KBListBox *, cchar *, QPtrList<KBAttr> &, cchar * = 0) ;
       ~KBListBoxPropDlg () ;
}	;

#endif
#endif	// __KB_LISTBOXDLG_H
