/***************************************************************************
    file	         : kb_mimefactory.h
    copyright            : (C)	1999,2000,2001,2002,2003
				by Mike Richardson
			   (C)	2001,2002,2003
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/


#ifndef		__KB_MIMEFACTORY_H
#define		__KB_MIMEFACTORY_H

#include	<qmime.h>

#include	"libkbase_exports.h"

class	KBDocRoot	;
class	QMimeSource	;

/*  KBMimeSourceFactory							*/
/*  -------------------							*/
/*  Local version of QMimeSourceFactory used so that we can handle	*/
/*  stuff like embedding images that are stored in the database into	*/
/*  rich text (and other things).					*/

class	LIBKBASE_API	KBMimeSourceFactory : public QMimeSourceFactory
{
	KBDocRoot	*m_docRoot		;

public	:

	KBMimeSourceFactory	(KBDocRoot *)	;
	~KBMimeSourceFactory	()		;

	virtual	const QMimeSource	*data (const QString &) const ;
}	;

#endif		// __KB_MIMEFACTORY_H
