/***************************************************************************
    file	         : kb_nodemonitor.cpp
    copyright            : (C) 1999,2000,2001,2002,2003 by Mike Richardson
			   (C) 2000,2001,2002,2003 by theKompany.com
			   (C) 2001,2002,2003 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/


#include	"kb_classes.h"
#include	"kb_nodemonitor.h"


static	QListViewItem	*lastChild
	(	RKListView	*list
	)
{
	QListViewItem	*child	= list->firstChild() ;
	QListViewItem	*next	= child == 0 ? 0 : child->nextSibling() ;

	while (next != 0)
	{	child	= next	;
		next	= child->nextSibling() ;
	}

	return	child	;
}

static	QListViewItem	*lastChild
	(	QListViewItem	*list
	)
{
	QListViewItem	*child	= list->firstChild() ;
	QListViewItem	*next	= child == 0 ? 0 : child->nextSibling() ;

	while (next != 0)
	{	child	= next	;
		next	= child->nextSibling() ;
	}

	return	child	;
}

KBNodeMonitor::KBNodeMonitor
	(	KBNode		*node,
		RKListView	*parent
	)
	:
	QListViewItem	(parent, lastChild (parent)),
	node		(node)
{
}

KBNodeMonitor::KBNodeMonitor
	(	KBNode		*node,
		QListViewItem	*parent
	)
	:
	QListViewItem	(parent, lastChild (parent)),
	node		(node)
{
}
