/***************************************************************************
    file	         : kb_passdlg.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__KB_PASSDLG_H
#define	__KB_PASSDLG_H


#include	<qlabel.h>
#include	<qcheckbox.h>
#include	<qpushbutton.h>

#include	"libkbase_exports.h"

#include	"kb_dialog.h"
#include	"rk_lineedit.h"

class	RKLineEdit	;

class	LIBKBASE_API KBPassDlg : public KBDialog
{
	Q_OBJECT


	RKLineEdit	*m_userName	;
	RKLineEdit	*m_password	;
	QCheckBox	*m_showPwd	;


protected slots	:

	void		showChanged	() ;

public	:

	KBPassDlg	(const QString &, const QString &, const QString &, const QString &) ;
       ~KBPassDlg	() ;

	inline	QString	password ()
	{
		return	m_userName->text () ;
	}

	inline QString	userName ()
	{
		return	m_password->text () ;
	}
}	;

#endif	// __KB_PASSDLG_H
