/***************************************************************************
    file	         : kb_qtgraphic.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/


#ifndef		__KB__QTGRAPHIC_H
#define		__KB__QTGRAPHIC_H

#include	<qlabel.h>

#include	"kb_classes.h"
#include	"kb_ctrl.h"

#include	"libkbase_exports.h"


/*  KBCtrlGraphic							*/
/*  -------------							*/
/*  Wrapper class for embedded graphics					*/

class	LIBKBASE_API	KBCtrlGraphic : public KBControl
{
	KBGraphic	*m_graphic	;
	QLabel		*m_label	;

public	:

	virtual	void		setValue 	(const KBValue &) ;
	virtual	bool		write		(KBWriter *, QRect, const KBValue &, bool, int &) ;

	virtual	void		showAs		(KB::ShowAs) ;
	virtual	void		setupProperties	() ;

	KBCtrlGraphic (KBDisplay *, KBGraphic *) ;
       ~KBCtrlGraphic () ;
}	;

#endif		// __KB__QTGRAPHIC_H
