/***************************************************************************
    file	         : kb_rowmarkdlg.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	_KB_ROWMARKDLG_H
#define	_KB_ROWMARKDLG_H

#if	! __KB_RUNTIME

#include	"kb_classes.h"
#include	"kb_propdlg.h"

#include	"libkbase_exports.h"

/*  KBRowMarkPropDlg							*/
/*  ----------------							*/
/*  This dialog is used to set attribute values for row marks. Actually	*/
/*  all it does is hide a few!						*/

class LIBKBASE_API	KBRowMarkPropDlg : public KBPropDlg
{
protected :

	virtual	bool	hideProperty (KBAttr *) ;

public	:

	KBRowMarkPropDlg (KBRowMark *, cchar *, QPtrList<KBAttr> &) ;
       ~KBRowMarkPropDlg () ;
}	;

#endif
#endif	// _KB_ROWMARKDLG_H
