/***************************************************************************
    file	         : kb_ruler.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__KB_RULER_H
#define	__KB_RULER_H

#include	<qwidget.h>

#include	"libkbase_exports.h"

/*  KBRuler								*/
/*  -------								*/
/*  Class used to implement the rulers used in the report designer.	*/

class LIBKBASE_API	KBRuler : public QWidget
{
	bool	horiz	;

	int	frame	;
	int	offset	;

	double	step	;
	double	ppmm	;
	int	frac	;
	int	lincr	;

protected :

	virtual	void	paintEvent	(QPaintEvent *) ;

public	:

	KBRuler	(QWidget *, bool) ;

	void	setFrame	(int) ;
	void	setOffset	(int) ;
	void	setStep		(double, double, int, int) ;
}	;


#endif	// __KB_RULER_H
