/***************************************************************************
    file	         : kb_summarydlg.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	_KB_SUMMARYDLG_H
#define	_KB_SUMMARYDLG_H

#if	! __KB_RUNTIME

#include	"kb_propdlg.h"
#include	"kb_itemdlg.h"

#include	"libkbase_exports.h"

class	KBFormatDlg	;

/*  KBSummaryPropDlg							*/
/*  --------------							*/
/*  Wrapper class for data control properties dialog. Handles special	*/
/*  casse properties.							*/

class LIBKBASE_API	KBSummaryPropDlg : public KBItemPropDlg
{
	Q_OBJECT

	KBFormatDlg	*m_fDialog	;
	KBSummary	*m_summary	;

protected :

	virtual	bool	showProperty (KBAttrItem *) ;
	virtual	bool	saveProperty (KBAttrItem *) ;
	virtual	bool	hideProperty (KBAttr 	 *) ;

public	:

	KBSummaryPropDlg (KBSummary *, cchar *, QPtrList<KBAttr> &, cchar * = 0) ;
       ~KBSummaryPropDlg () ;
}	;

#endif
#endif	// _KB_SUMMARYDLG_H
