/***************************************************************************
    file	         : kb_testsuiteresultsdlg.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef		__KB_TESTSUITERESULTSDLG_H
#define		__KB_TESTSUITERESULTSDLG_H

#include	"libkbase_exports.h"
#include	"kb_script.h"
#include	"kb_dialog.h"

class	QTable		;
class	RKTextBrowser	;

class	LIBKBASE_API KBTestSuiteResultsDlg : public KBDialog
{
	Q_OBJECT

	QTable			*m_results	;
	RKTextBrowser		*m_details	;
	RKTextBrowser		*m_info		;
	QString			m_object	;
	QString			m_suite		;
	uint			m_errorCount	;

private slots :

	void		showDetails	(int)	;

public	:

	KBTestSuiteResultsDlg		() ;

	void		setObject	(const QString &) ;
	void		setSuite	(const QString &) ;
	bool		addResults	(const KBScriptTestResult     *) ;
	bool		addResults	(const KBScriptTestResultList *) ;
	uint		resultCount	() ;
	uint		errorCount	() ;
}	;

#endif	// __KB_TESTSUITERESULTSDLG_H
