/***************************************************************************
    file	         : kb_wizcontrol.h
    copyright            : (C) 1999,2000,2001,2002,2003 by Mike Richardson
			   (C) 2000,2001,2002,2003 by theKompany.com
			   (C) 2001,2002,2003 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef		__KB_WIZCONTROL_H
#define		__KB_WIZCONTROL_H

#include	<qpushbutton.h>

#include	"kb_classes.h"
#include	"kb_dialog.h"
#include	"kb_wizard.h"
#include	"kb_wizsource.h"
#include	"kb_wizfields.h"


/*  KBWizardKBControl							*/
/*  ----------------							*/
/*  Wizard class for creation of form and report controls		*/

class	KBWizardKBControl : public KBWizard
{
	KBLocation	&m_location	;
	QString		m_wizName	;

public	:

	KBWizardKBControl	(KBLocation &, const QString &, const QString &) ;

	int		exec	() ;
	void		create	() ;

	virtual	int	execute		() ;
}	;


#endif		// __KB_WIZCONTROL_H
