/***************************************************************************
    file	         : kb_wizdblist.h
    copyright            : (C) 1999,2000,2001,2002,2003 by Mike Richardson
			   (C) 2000,2001,2002,2003 by theKompany.com
			   (C) 2001,2002,2003 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__KB_WIZDBLIST_H
#define	__KB_WIZDBLIST_H

#include	<kb_wizard.h>

#include	"libwizard_exports.h"

class	RKComboBox	;

class	LIBWIZARD_API KBWizardCtrlDBList : public KBWizardCtrl
{
	RKComboBox	*m_dbList	;

public	:

	KBWizardCtrlDBList
	(	KBWizardPage		*,
		const QDomElement	&
	)	;

	virtual	~KBWizardCtrlDBList	()	;

	virtual	void	pageShown	(bool) 	;

	virtual	void	setValue	(const QString &) ;
	virtual	QString	value		()	;		
	virtual	bool	ok		()	;

public	slots	:

	void		loadDatabases	()	;
}	;

#endif	// __KB_WIZDBLIST_H
