/***************************************************************************
    file	         : kb_wizkbctrl.h
    copyright            : (C) 1999,2000,2001,2002,2003 by Mike Richardson
			   (C) 2000,2001,2002,2003 by theKompany.com
			   (C) 2001,2002,2003 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef		__KB_WIZKBCTRL_H
#define		__KB_WIZKBCTRL_H

#include	"kb_wizard.h"
#include	"kb_wizcontrol.h"


/*  KBWizardKBField							*/
/*  ----------------							*/
/*  Wizard class for creation of field controls				*/

class	KBWizardKBField : public KBWizardKBControl
{
public	:

	KBWizardKBField	(KBLocation &, const QString &) ;
}	;

/*  KBWizardKBMemo							*/
/*  ----------------							*/
/*  Wizard class for creation of memo controls				*/

class	KBWizardKBMemo : public KBWizardKBControl
{
public	:

	KBWizardKBMemo	(KBLocation &, const QString &) ;
}	;

/*  KBWizardKBRichText							*/
/*  ------------------							*/
/*  Wizard class for creation of rich text controls			*/

class	KBWizardKBRichText : public KBWizardKBControl
{
public	:

	KBWizardKBRichText (KBLocation &, const QString &) ;
}	;

/*  KBWizardKBLinkTable							*/
/*  -------------------							*/
/*  Wizard class for creation of table link controls			*/

class	KBWizardKBLinkTable : public KBWizardKBControl
{
public	:

	KBWizardKBLinkTable	(KBLocation &, const QString &) ;
}	;

/*  KBWizardKBLinkQuery							*/
/*  -------------------							*/
/*  Wizard class for creation of query link controls			*/

class	KBWizardKBLinkQuery : public KBWizardKBControl
{
public	:

	KBWizardKBLinkQuery	(KBLocation &, const QString &) ;
}	;

/*  KBWizardKBChoice							*/
/*  ----------------							*/
/*  Wizard class for creation of choice controls			*/

class	KBWizardKBChoice : public KBWizardKBControl
{
public	:

	KBWizardKBChoice	(KBLocation &, const QString &) ;
}	;

/*  KBWizardKBCheck							*/
/*  ----------------							*/
/*  Wizard class for creation of check controls				*/

class	KBWizardKBCheck : public KBWizardKBControl
{
public	:

	KBWizardKBCheck	(KBLocation &, const QString &) ;
}	;

/*  KBWizardKBSpinBox							*/
/*  -----------------							*/
/*  Wizard class for creation of spinbox controls			*/

class	KBWizardKBSpinBox : public KBWizardKBControl
{
public	:

	KBWizardKBSpinBox	(KBLocation &, const QString &) ;
}	;

/*  KBWizardKBLabel							*/
/*  ---------------							*/
/*  Wizard class for creation of label controls				*/

class	KBWizardKBLabel : public KBWizardKBControl
{
public	:

	KBWizardKBLabel	(KBLocation &, const QString &) ;
}	;

#endif		// __KB_WIZKBCTRL_H
