/***************************************************************************
    file	         : kb_onefield.h
    copyright            : (C) 1999,2000,2001,2002,2003 by Mike Richardson
			   (C) 2000,2001,2002,2003 by theKompany.com
			   (C) 2001,2002,2003 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__KB_WIZONEFIELD_H
#define	__KB_WIZONEFIELD_H


#include	"kb_classes.h"
#include	"kb_database.h"
#include	"kb_wizard.h"

#include	"libwizard_exports.h"


class	RKComboBox	;

/*  KBWizardCtrlOneField							*/
/*  ------------------							*/
/*  Wizard control used to allow selection a single fields from a	*/
/*  table or a (rekall-level) query.					*/

class	LIBWIZARD_API KBWizardCtrlOneField : public KBWizardCtrl
{
	Q_OBJECT

	QString		m_sourceName	;
	RKComboBox	*m_fields	;

public	:

	KBWizardCtrlOneField
	(	KBWizardPage		*,
		const QDomElement	&
	)	;

	virtual	~KBWizardCtrlOneField	()	;

	virtual	void	pageShown	(bool)	;

	virtual	void	setValue	(const QString &) ;
	virtual	QString	value		()	;		
}	;

#endif	// __KB_WIZONEFIELD_H
