/***************************************************************************
    file	         : kb_wizrecentdb.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/


#ifndef		__KB_WIZRECENTDB_H
#define		__KB_WIZRECENTDB_H

#include	<qstringlist.h>

#include	"kb_wizard.h"
#include	"kb_database.h"

#include	"libwizard_exports.h"

class		RKComboBox	;
class		QTextBrowser	;


/*  KBWizardCtrlScript							*/
/*  ------------------							*/
/*  Class used to present recently opened databases.			*/

class	LIBWIZARD_API KBWizardCtrlRecentDB : public KBWizardCtrl
{
	Q_OBJECT

	RKComboBox		*m_db		;
	QTextBrowser		*m_info		;
	QStringList		m_fileList	;
	QStringList		m_infoList	;

protected slots :

	void	slotDBChanged	()		;

public	:

	KBWizardCtrlRecentDB
	(	KBWizardPage		*,
		const QDomElement	&
	)	;

	virtual	~KBWizardCtrlRecentDB	()	;

	virtual	void	setValue	(const QString &) ;
	virtual	QString	value		()	;		
}	;

#endif	// __KB_WIZRECENTDB_H
