/***************************************************************************
    file	         : kb_sqlwidget.h
    copyright            : (C) 1999,2000,2001,2002,2003 by Mike Richardson
			   (C) 2000,2001,2002,2003 by theKompany.com
			   (C) 2001,2002,2003 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__KB_SQLWIDGET_H
#define	__KB_SQLWIDGET_H


#include	"kb_copybase.h"
#include	"kb_copysql.h"

#include	"rk_vbox.h"


class	QTextEdit	;
class	RKComboBox	;


/*  KBTableWidget							*/
/*  -------------							*/
/*  This is the copied widget which provides the user GUI interface to	*/
/*  the table copied object.						*/

class	KBSQLWidget : public RKVBox, public KBCopySQL
{
	Q_OBJECT

	QObject		*m_part		;

	bool		m_srce		;
	KBLocation	m_location	;

	RKComboBox	*m_cbServer	;
	QTextEdit	*m_mlSQL	;

	void		saveall		() ;


public	:

	KBSQLWidget	(QWidget *parent, QObject *, bool, KBLocation &) ;

	bool		valid		(KBError     &) ;
	void		def		(QDomElement &) ;
	bool		set		(QDomElement &, KBError &) ;
	bool		init		(KBError     &) ;
}	;
#endif	// __KB_SQLWIDGET_H
