/***************************************************************************
    file	         : kb_testalldlg.h
    copyright            : (C) 1999,2000,
			       2001,2002,2003,2004,2005 by Mike Richardson
			   (C) 2001,2002,2003,2004,2005 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef		__KB_TESTALLDLG_H
#define		__KB_TESTALLDLG_H


#include	"libkbase_exports.h"
#include	"kb_dialog.h"
#include	"kb_testsuite.h"

class	RKListView	;
class	RKComboBox	;
class	RKCheckBox	;
class	QCheckListItem	;
class	KBDBInfo	;

struct	QStringPair
{
	QString		m_first		;
	QString		m_second	;
}	;

typedef	QValueList<QStringPair>	QStringPairList	;

/*  KBTestAllDlg							*/
/*  -------------							*/

class	KBTestAllDlg : public KBDialog
{
	Q_OBJECT

	RKListView		*m_suites	;
	QCheckListItem		*m_last		;
	RKComboBox		*m_server	;
	RKComboBox		*m_errorOpt	;

public	:


	KBTestAllDlg 		(KBDBInfo *, const QString &) ;
       ~KBTestAllDlg		() 		;

	void			addSuites	(const QString &, const QStringPairList &) ;
	QStringPairList		selected	()	;
	QString			server		()	;
	KBTest::ErrorOpt	errorOpt	()	;

}	;

#endif		// __KB_TESTALLDLG_H
