/***************************************************************************
    file	         : kb_testsavedlg.h
    copyright            : (C) 1999,2000,
			       2001,2002,2003,2004,2005 by Mike Richardson
			   (C) 2001,2002,2003,2004,2005 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef		__KB_TESTSAVEDLG_H
#define		__KB_TESTSAVEDLG_H


#include	"libkbase_exports.h"
#include	"kb_dialog.h"

class	KBNode		;
class	RKLineEdit	;
class	RKTextEdit	;
class	RKCheckBox	;
class	RKTextBrowser	;

/*  KBTestSaveDlg							*/
/*  -------------							*/
/*  Basic save dialog, showing combo box of possible document		*/
/*  locations.								*/

class	KBTestSaveDlg : public KBDialog
{
	Q_OBJECT

	KBNode			*m_node		;
	RKLineEdit		*m_name		;
	RKCheckBox		*m_andSave	;
	RKTextEdit		*m_comment	;
	RKTextBrowser		*m_message	;

protected slots :

	virtual	void		accept	()	;

public	:

	KBTestSaveDlg 		(KBNode *) 	;
       ~KBTestSaveDlg		() 		;

	QString			name	()	;
	bool			andSave	()	;
	QString			comment	()	;
}	;

#endif		// __KB_TESTSAVEDLG_H
