/***************************************************************************
    file	         : kb_macrolist.h
    copyright            : (C) 1999,2000,2001,2002,2003 by Mike Richardson
			   (C) 2000,2001,2002,2003 by theKompany.com
			   (C) 2001,2002,2003 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	_KB_MACROLIST_H
#define	_KB_MACROLIST_H

#include	"kb_filelist.h"


/*  KBMacroList								*/
/*  -----------								*/
/*  Widget used to list all the macros in a database			*/

class	KBMacroList : public KBFileList
{
	Q_OBJECT

protected :

	virtual	void	showServerMenu	(int)	;
	virtual	void	showObjectMenu	(int)	;

protected slots :

	virtual	void	renameMacro	()	;
	virtual	void	deleteMacro	()	;
	virtual void	showObjectAs	(KBListItem *, KB::ShowAs) ;

public	:

	KBMacroList  (QWidget *, KBDBInfo *) ;
       ~KBMacroList  () ;
}	;

#endif	// _KB_MACROLIST_H
