/***************************************************************************
    file	         : kb_qryjoindlg.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/


#ifndef		__KB_QRYJOINDLG_H
#define		__KB_QRYJOINDLG_H

#include	"kb_dialog.h"

class	KBTableAlias	;
class	RKComboBox	;
class	RKLineEdit	;
class	RKTextEdit	;
class	RKTabWidget	;
class	RKGridBox	;

/*  KBQryJoinDlg							*/
/*  ------------							*/
/*  Dialog used to set up table joins					*/

class	KBQryJoinDlg : public KBDialog
{
	Q_OBJECT

	KBTableAlias	*m_tblChild		;
	KBTableAlias	*m_tblParent		;
	QPalette	m_oldPalette		;

	RKTabWidget	*m_tabber		;
	RKGridBox	*m_link			;
	RKTextEdit	*m_joinExpr		;

	RKComboBox	*m_joinType		;

	bool		m_doDel			;


protected slots :

	virtual	void	done		(int)	;
	virtual void	accept		()	;
	void		clickDelete	()	;

public	:

	KBQryJoinDlg
	(	KBTableAlias		*,
		const QString		&,
		KBTableAlias		*,
		const QString		&,
		const QString		&,
		const QString		&,
		bool			,
		bool			= true
	)	;

	bool	getResults	(QString &, QString &, bool &) ;
}	;

#endif	// __KB_QRYJOINDLG_H
