/***************************************************************************
    file	         : kb_qryspace_std.cpp
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#if		__KB_AUTOMOC
#include	"kb_qryspace_std.moc"
#else
#include	"kb_qryspace_std.h"
#endif

#include	"kb_querydlg.h"


KBQueryspace::KBQueryspace
	(	QWidget		*parent,
		KBQueryDlg	*qryDlg
	)
	:
	QWorkspace	(parent),
	m_qryDlg	(qryDlg)
{
	setScrollBarsEnabled (true) ;
	setEraseColor	     (QColor(225,225,225)) ;
	setBackgroundMode    (Qt::FixedColor) ;
}

void	KBQueryspace::paintEvent
	(	QPaintEvent	*e
	)
{
	QWorkspace::paintEvent (e) ;
	m_qryDlg->repaintLinks (e) ;
}

void	KBQueryspace::mouseReleaseEvent
	(	QMouseEvent	*e
	)
{
	m_qryDlg->linkProperties (e->pos()) ;
}

