/***************************************************************************
    file	         : rk_checkbox.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/


#ifndef	__RK_CHECKBOX_H
#define	__RK_CHECKBOX_H

#include	<qcheckbox.h>

#include 	"libtkkde_exports.h"

class	LIBTKKDE_API	RKCheckBox : public QCheckBox
{
	Q_OBJECT

	bool		m_readOnly	;

public	:

	RKCheckBox	(QWidget * = 0,	const char * = 0) ;
	RKCheckBox	(const QString &, QWidget * = 0, const char * = 0) ;

	virtual	bool	isNavigationKey	(QKeyEvent *)	;

	virtual	bool	event		(QEvent *)	;
	void		setReadOnly	(bool)		;
	bool		isReadOnly	()		;
}	;

#endif	// __RK_CHECKBOX_H
