/***************************************************************************
    file	         : rk_tabwidget.h
    copyright            : (C) 1999,2000,2001,2002,2003 by Mike Richardson
			   (C) 2000,2001,2002,2003 by theKompany.com
			   (C) 2001,2002,2003 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/


#ifndef	__RK_TABWIDGET_H
#define	__RK_TABWIDGET_H

#include	<qtabwidget.h>
#include 	"libtkkde_exports.h"

class	QPixmap	;

class	LIBTKKDE_API RKTabWidget : public QTabWidget
{
	Q_OBJECT

public	:

	RKTabWidget	(QWidget * = 0, const char * = 0) ;

	inline	void	addPage
		(	QWidget		*page,
			const QString	&caption,
			const QPixmap	&pixmap
		)
	{
		QTabWidget::addTab (page, pixmap, caption) ;
	}
	inline	void	addPage
		(	QWidget		*page,
			const QString	&caption
		)
	{
		QTabWidget::addTab (page, caption) ;
	}
}	;

#endif	// __RK_TABWIDGET_H
