/***************************************************************************
    file	         : kb_globalproxy.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__KB_GLOBALPROXY_H
#define	__KB_GLOBALPROXY_H


class	KBKJSInterpreter	;

/*  KBGlobalProxy							*/
/*  -------------							*/
/*  Proxy class for the __objects__ global access object		*/

class	KBGlobalProxy : public KJS::ObjectImp
{
	KBKJSInterpreter	*m_interp	;
	KBForm			*m_form 	;

public	:

	KBGlobalProxy	(KBKJSInterpreter *, KBForm *) ;
	~KBGlobalProxy	() ;


	virtual	KJS::Value	get
				(	KJS::ExecState		*,
					const KJS::Identifier	&
				)
				const	;
}	;

#endif	// __KB_GLOBALPROXY_H
