/***************************************************************************
    file	         : kb_xbadvanced.h
    copyright            : (C) 1999,2000,2001,2002,2003 by Mike Richardson
			   (C) 2000,2001,2002,2003 by theKompany.com
			   (C) 2001,2002,2003 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#include	<qlayout.h>
#include	<qcheckbox.h>

#include	"kb_classes.h"
#include	"kb_database.h"
#include	"kb_dom.h"

class	RKTabWidget	;

class	KBXBAdvanced : public KBDBAdvanced
{
	Q_OBJECT

	bool		m_packOnClose		;
	bool		m_caseSensitive		;
	bool		m_mapExpressions	;
	bool		m_useWildcard		;
	bool		m_goSlow		;
	long		m_startat		;

	QCheckBox	*m_cbPackOnClose	;
	QCheckBox	*m_cbCaseSensitive	;
	QCheckBox	*m_cbMapExpressions	;
	QCheckBox	*m_cbUseWildcard	;
	QCheckBox	*m_cbGoSlow		;

public	:

	KBXBAdvanced	()	;
virtual~KBXBAdvanced	()	;

	virtual	void		load		(const QDomElement &) ;
	virtual	void		save		(QDomElement	   &) ;
	virtual	void		setupDialog	(RKTabWidget	   *) ;
	virtual	void		saveDialog	() ;
	virtual	KBDBAdvanced	*copy		() ;

	friend	class	KBXBSQL	;
}	;
