/***************************************************************************
    file	         : kb_scriptlist.h
    copyright            : (C) 1999,2000,2001,2002,2003 by Mike Richardson
			   (C) 2000,2001,2002,2003 by theKompany.com
			   (C) 2001,2002,2003 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	_KB_SCRIPTLIST_H
#define	_KB_SCRIPTLIST_H

#include	"kb_filelist.h"


/*  KBScriptList								*/
/*  ------------								*/
/*  Widget used to list all the scripts in a database			*/

class	KBScriptList : public KBFileList
{
	Q_OBJECT

	QString		m_language    ;

protected :

	virtual	void	showServerMenu	(int)	;
	virtual	void	showObjectMenu	(int)	;

protected slots :

	virtual	void	loadFromFile	()	;
	virtual	void	renameScript	()	;
	virtual	void	deleteScript	()	;
	virtual	void	loadDebugger	()	;

public	:

	KBScriptList  (QWidget *, KBDBInfo *, const QString &) ;
       ~KBScriptList  () ;

	virtual	QString	getDocExtension	()	;
}	;

#endif	// _KB_SCRIPTLIST_H
