/***************************************************************************
    file	         : kb_splash.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__KB_SPLASH_H
#define	__KB_SPLASH_H


#include	<qlabel.h>
#include	<qtimer.h>
#include	<qguardedptr.h>


/*  KBSplash								*/
/*  --------								*/
/*  Splash screen class							*/

class	KBSplash : public QLabel
{
	Q_OBJECT

	QString		m_release	;
	QColor		m_color		;

protected	:

	virtual	void	mousePressEvent	(QMouseEvent *) ;
	virtual	void	paintEvent	(QPaintEvent *) ;

protected slots :

	void		slotSplosh	()	;
	void		loadHighlights	()	;

public	:

	KBSplash
 	(	const QString	&,
		uint		,
		QColor		= Qt::white
	) ;
}	;


void	showSlashScreen	(const QString &, uint, QColor = Qt::white) ;

#endif	// __KB_SPLASH_H
