/***************************************************************************
    file	         : kb_appptr.h
    copyright            : (C) 1999,2000,2001,2002,2003 by Mike Richardson
			   (C) 2000,2001,2002,2003 by theKompany.com
			   (C) 2001,2002,2003 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__KB_APPPTR_H
#define	__KB_APPPTR_H

#include "libcommon_exports.h"

/*  KBAppPtr								*/
/*  --------								*/
/*  The KBAppPtr and KBCallback classes serve to decouple the KBase	*/
/*  libraries from the actual application. The KBAppPtr class simply	*/
/*  stores a pointer to the KBCallback class, which in turn is used to	*/
/*  access application-level functions.					*/

class LIBCOMMON_API	KBAppPtr
{
	static	KBCallback	*kbCallback	;

public	:

	static	KBCallback	*setCallback	(KBCallback *)	;
	static	KBCallback	*getCallback	()		;
}	;

#endif	// __KB_APPPTR_H
