/***************************************************************************
    file	         : kb_base64.h
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

/***************************************************************************
    The Base64 code is taken from LibTomCrypt, see
        http://libtomcrypt.org/index.html
 ***************************************************************************/


#ifndef	__KB_BASE64_H
#define	__KB_BASE64_H

#include	"libcommon_exports.h"

class	KBDataBuffer	;

extern	LIBCOMMON_API
		bool	kbB64Needed
		(	const unsigned char	*data,
			unsigned int		dlen
		)	;

extern	LIBCOMMON_API
	void	kbB64Encode
		(	const unsigned char	*data,
			unsigned int		dlen,
			KBDataBuffer		&dest
		)	;

extern	LIBCOMMON_API
	void	kbB64Decode
		(	const unsigned char	*data, 
			unsigned int		dlen,
			KBDataBuffer		&dest
		)	;

extern	LIBCOMMON_API
	void	kbB64Decode
		(	const QString		&data,
			KBDataBuffer		&dest
		)	;


#endif	// __KB_BASE64_H
