/***************************************************************************
    file	         : kb_macrosql.h
    copyright            : (C) 1999,2000,2001,2002,2003 by Mike Richardson
			   (C) 2000,2001,2002,2003 by theKompany.com
			   (C) 2001,2002,2003 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__KB_MACROSQL_H
#define	__KB_MACROSQL_H

#include	"kb_macro.h"
#include	"libextra_exports.h"

/*  KBMacroSQL								*/
/*  ----------								*/
/*  Macro used to execute an SQL statement				*/

class	LIBEXTRA_API	KBMacroSQL : public KBMacroInstr
{
public	:

	KBMacroSQL	(KBMacroExec *) ;

	virtual	bool	init
		(	const QStringList	&,
			const QString		&,
			KBError			&
		)	;

	bool	execute	(KBError &) ;
}	;

#endif	// __KB_MACROSQL_H
