/***************************************************************************
    file	         : kb_attrexpr.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	_KB_ATTREXPR_H
#define	_KB_ATTREXPR_H

#include "libkbase_exports.h"

class LIBKBASE_API	KBAttrExpr : public KBAttrStr
{
	bool		m_isexpr  ;	/* Value is an expression	*/
	bool	 	m_disable ;	/* Inline code disabled		*/
	KBScriptCode	*m_code	  ;	/* Inline code for execution	*/

public	:

	KBAttrExpr (KBNode *, cchar *, const QDict<QString> &) ;
	KBAttrExpr (KBNode *, cchar *, cchar  *) ;
	KBAttrExpr (KBNode *, cchar *, KBNode *) ;
	virtual	~KBAttrExpr () ;

	virtual	void	setValue	(const QString &) ;

	KBValue		evaluate	(const KBValue &, KBScriptError *&, bool &) ;
}	;

#endif //_KB_ATTREXPR_H
