/***************************************************************************
    file	         : kb_attrskin.cpp
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#include	"kb_attrskin.h"

#if		! __KB_RUNTIME

#include	"kb_attrskindlg.h"

/*  KBAttrSkin							*/
/*  getAttrDlg	: Get dialog component for server selection		*/
/*  parent	: QWidget *		: Parent widget			*/
/*  item	: KBAttrItem *		: Associated item		*/
/*  attrDict	: QDict<KBAttrItem> &	: Attribute dictionary		*/
/*  (returns)	: KBAttrDlg *		: Actually KBAttrSkinDlg	*/

KBAttrDlg
	*KBAttrSkin::getAttrDlg
	(	QWidget			*parent,
		KBAttrItem		*item,
		QDict<KBAttrItem>	&attrDict
	)
{
	return	new KBAttrSkinDlg (parent, this, item, attrDict) ;
}

#endif

int	KBAttrSkin::dummy ()
{
	return	0	;
}
