/***************************************************************************
    file	         : kb_builder.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__KB_BUILDER_H
#define	__KB_BUILDER_H


#include	"kb_wizard.h"
#include	"libkbase_exports.h"


class	LIBKBASE_API	KBBuildFieldInfo
{
public	:

	void	setFromWizard	(KBWizard &) ;

	QString	m_formatDate		;
	QString	m_formatTime		;
	QString	m_formatDateTime	;
	QString	m_formatFloat		;

	QString	m_rawFormatDate		;
	QString	m_rawFormatTime		;
	QString	m_rawFormatDateTime	;
	QString	m_rawFormatFloat	;
}	;

extern	LIBKBASE_API
	bool	builderSplitLookup
		(	const QString		&value,
			QString			&vTable,
			QString			&vField,
			QString			&vShow
		)	;

extern	LIBKBASE_API
	QString	builderMakeField
		(	KBLocation		&location,
			KBTableInfo		*tabInfo,
			KBFieldSpec		*fieldSpec,
			int			x,
			int			y,
			int			&w,
			int			&h,
			int			tabOrder,
			int			indent,
			KBBuildFieldInfo	&info
		)	;

extern	LIBKBASE_API
	int	builderCharWidth	() ;
extern	LIBKBASE_API
	int	builderFieldWidth	(KBFieldSpec *) ;

#endif	// __KB_BUILDER_H
