/***************************************************************************
    file	         : kb_designpopup.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__KB_DESIGNPOPUP_H
#define	__KB_DESIGNPOPUP_H

class	KBPopupMenu	;
class	KBObject	;
class	QString		;

extern	KBPopupMenu	*makeContainerEditPopup
			(	KBPopupMenu	*popupEdit,
				KBObject	*receiver,
				const QString	&type,
				bool		skipCutCopy
			)	;
extern	void		makeContainerMainPopup
			(	KBPopupMenu	*popupMain,
				KBObject	*receiver,
				const QString	&type,
				KBPopupMenu	*popupNew,
				KBPopupMenu	*popupEdit
			)	;

extern	void		makeNestingPopup
			(	KBPopupMenu	*popupNest,
				KBObject	*receiver
			)	;

extern	void		makeAncestorPopup
			(	KBPopupMenu	*popupMain,
				KBObject	*from
			)	;

extern	KBPopupMenu	*makeFormNewPopup
			(	KBPopupMenu	*parent,
				QRect		rect,
				KBObject	*object,
				Qt::ButtonState	*bState
			)	;

extern	KBPopupMenu	*makeReportNewPopup
			(	KBPopupMenu	*parent,
				QRect		rect,
				KBObject	*object,
				Qt::ButtonState	*bState
			)	;

#endif	// __KB_DESIGNPOPUP_H
