/***************************************************************************
    file	         : kb_fielddlg.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	_KB_FIELDDLG_H
#define	_KB_FIELDDLG_H

#if	! __KB_RUNTIME

#include	<qptrlist.h>

#include	"libkbase_exports.h"

#include	"kb_classes.h"
#include	"kb_node.h"

#include	"kb_itemdlg.h"

class	KBFormatDlg	;


/*  KBFieldPropDlg							*/
/*  --------------							*/
/*  Wrapper class for field properties dialog. Handles special-case	*/
/*  properties.								*/

class LIBKBASE_API	KBFieldPropDlg : public KBItemPropDlg
{
	Q_OBJECT

	KBFormatDlg	*m_fDialog	;
	KBField		*m_field	;

protected :

	virtual	bool		showProperty	(KBAttrItem *) ;
	virtual	bool		saveProperty	(KBAttrItem *) ;
	virtual KBAttrItem	*getAttrItem	(KBAttr     *) ;

public	:

	KBFieldPropDlg (KBField *, cchar *, QPtrList<KBAttr> &, cchar * = 0) ;
       ~KBFieldPropDlg () ;
}	;

#endif
#endif	// _KB_FIELDDLG_H
