/***************************************************************************
    file	         : kb_labeldlg.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	_KB_LABELDLG_H
#define	_KB_LABELDLG_H

#if	! __KB_RUNTIME

#include	"kb_propdlg.h"

#include	"libkbase_exports.h"

/*  KBLabelPropDlg							*/
/*  --------------							*/
/*  Wrapper class for data control properties dialog. Handles special	*/
/*  casse properties.							*/

class	LIBKBASE_API	KBLabelPropDlg : public KBPropDlg
{
	Q_OBJECT


protected :

	virtual KBAttrItem	*getAttrItem	(KBAttr *) ;
	virtual	bool		showProperty	(KBAttrItem *) ;
	virtual	bool		saveProperty	(KBAttrItem *) ;

public	:

	KBLabelPropDlg (KBLabel *, cchar *, QPtrList<KBAttr> &, cchar * = 0) ;
       ~KBLabelPropDlg () ;
}	;

#endif
#endif	// _KB_LABELDLG_H
