/***************************************************************************
    file	         : kb_macrodebdlg.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__KB_MACRODEBDLG_H
#define	__KB_MACRODEBDLG_H


#include	"libkbase_exports.h"
#include	"kb_dialog.h"


class	RKListView	;

/*  KBMacroDebugDlg							*/
/*  ---------------							*/
/*  Dialog used for macro debugging. Shows details of a particular	*/
/*  macro instruction, and allows the user to continue or abort.	*/

class	LIBKBASE_API	KBMacroDebugDlg : public KBDialog
{
	RKListView	*m_macroList	;
	RKListView	*m_state	;

	KBNode		*m_invoker	;
	QString		m_macroSet	;

public	:

	KBMacroDebugDlg
	(	const QPtrList<KBMacroInstr>	&,
		KBNode 				*,
		const QString			&
	)	;

	int	exec
	(	KBMacroInstr			*,
 		const QMap<QString,KBNode *>	&
	)	;
}	;

#endif	// __KB_MACRODEBDLG_H
