/***************************************************************************
    file	         : kb_memodlg.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	_KB_MEMODLG_H
#define	_KB_MEMODLG_H

#if	! __KB_RUNTIME


#include	"libkbase_exports.h"

#include	"kb_itemdlg.h"
#include	"kb_memo.h"


/*  KBMemoPropDlg							*/
/*  --------------							*/
/*  Wrapper class for memo properties dialog. Handles special-case	*/
/*  properties.								*/

class LIBKBASE_API	KBMemoPropDlg : public KBItemPropDlg
{
	Q_OBJECT

	KBMemo			*m_memo		;

protected :

	virtual	bool		showProperty	(KBAttrItem *) ;
	virtual	bool		saveProperty	(KBAttrItem *) ;
	virtual	bool		hideProperty	(KBAttr     *) ;
	virtual KBAttrItem	*getAttrItem	(KBAttr     *) ;

public	:

	KBMemoPropDlg	(KBMemo *, cchar *, QPtrList<KBAttr> &, cchar * = 0) ;
       ~KBMemoPropDlg	() ;
}	;

#endif
#endif	// _KB_BLOCKDLG_H
