/***************************************************************************
    file	         : kb_metrics.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__KB_METRICS_H
#define	__KB_METRICS_H

#include	"libkbase_exports.h"

class LIBKBASE_API	KBMetrics
{
	static	uint	menuBarHeight	;
	static	uint	toolBarHeight	;
	static	uint	statusBarHeight	;

public	:

	static	void	noteMenuBarHeight	(uint)	;
	static	void	noteToolBarHeight	(uint)	;
	static	void	noteStatusBarHeight	(uint)	;
	static	uint	getMenuBarHeight	()	;
	static	uint	getToolBarHeight	()	;
	static	uint	getStatusBarHeight	()	;

}	;

#endif	// __KB_METRICS_H
