/***************************************************************************
    file	         : kb_nodemonitor.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__KB_NODEMONITOR_H
#define	__KB_NODEMONITOR_H

#include	"libkbase_exports.h"

#include	"rk_listview.h"

class LIBKBASE_API	KBNodeMonitor : public QListViewItem
{
	KBNode		*node	;

public	:

	KBNodeMonitor (KBNode *, RKListView 	*) ;
	KBNodeMonitor (KBNode *, QListViewItem	*) ;

	inline	KBNode	*getNode () { return node ; }
}	;

#endif	// __KB_NODEMONITOR_H
