/***************************************************************************
    file	         : kb_pixmapdlg.cpp
    copyright            : (C) 1999,2000,2001,2002,2003 by Mike Richardson
			   (C) 2000,2001,2002,2003 by theKompany.com
			   (C) 2001,2002,2003 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#include	<qframe.h>
#include	<qmessagebox.h>

#include	"kb_classes.h"
#include	"kb_attr.h"
#include	"kb_pixmap.h"
#include	"kb_itemdlg.h"


/*  pixmapPropDlg : Run the pixmap properties dialog			*/
/*  pixmap	  : KBPixmap *	  : Parent pixmap			*/
/*  caption	  : const char *  : Dialog box caption			*/
/*  attribs	  : QPtrList<KBAttr>&: List of attributes			*/
/*  apply	  : bool	  : Show apply button			*/
/*  (returns)	  : bool	  : Success				*/

bool	pixmapPropDlg
	(	KBPixmap	*pixmap,
		cchar		*caption,
		QPtrList<KBAttr>	&attribs
	)
{
	KBItemPropDlg pDlg (pixmap, caption, attribs) ;
	return	pDlg.exec () ;
}
