/***************************************************************************
    file	         : kb_qryidx.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	_KB_QRYIDX_H
#define	_KB_QRYIDX_H

#include	"libkbase_exports.h"


class 	LIBKBASE_API	KBQryIdx
{
	unsigned int	_qryLvl	;
	unsigned int	_qryIdx	;

public	:

	inline	KBQryIdx
		(	unsigned int	_qryLvl,
			unsigned int	_qryIdx
		)
		:
		_qryLvl	(_qryLvl),
		_qryIdx	(_qryIdx)
	{
	}

	inline	KBQryIdx ()
	{
		_qryLvl	= 0 ;
		_qryIdx = 0 ;
	}

	inline	unsigned int	qryLvl() { return _qryLvl ; }
	inline	unsigned int	qryIdx() { return _qryIdx ; }
}	;

#endif	// _KB_QRYIDX_H
