/***************************************************************************
    file	         : kb_testerrordlg.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef		__KB_TESTERRORDLG_H
#define		__KB_TESTERRORDLG_H

#include	"kb_dialog.h"
#include	"kb_test.h"

#include	"libkbase_exports.h"

class	KBScriptTestResult	;

class	LIBKBASE_API	KBTestErrorDlg : public KBDialog
{
	Q_OBJECT

protected slots :

	void		slotUpdate	()	;
	void		slotContinue	()	;
	void		slotAbortAll	()	;
	void		slotAbortSuite	()	;
	void		slotAbortTest	()	;

	virtual	void	reject		()	;

public	:

	KBTestErrorDlg	(const KBScriptTestResult &, KBTest::ErrorOpt, bool)	;
}	;

#endif		// __KB_TESTERRORDLG_H
