/***************************************************************************
    file	         : kb_treedlg.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	_KB_TREEDLG_H
#define	_KB_TREEDLG_H

#if	! __KB_RUNTIME

#include	"libkbase_exports.h"


#include	"kb_classes.h"
#include	"kb_tree.h"
#include	"kb_linktreedlg.h"

/*  KBTreePropDlg							*/
/*  -------------							*/
/*  Wrapper class for tree properties dialog. Handles special-case	*/
/*  properties.								*/

class	LIBKBASE_API	KBTreePropDlg : public KBLinkTreePropDlg
{
	Q_OBJECT

	KBTree			*m_tree	;

protected :

	virtual	bool		showProperty	(KBAttrItem *) ;
	virtual	bool		saveProperty	(KBAttrItem *) ;
	virtual KBAttrItem	*getAttrItem	(KBAttr *) ;
	virtual	bool		propertyOK	(KBAttrItem *) ;

public	:

	KBTreePropDlg	(KBTree *, cchar *, QPtrList<KBAttr> &, cchar *) ;
       ~KBTreePropDlg	() ;
}	;


#endif
#endif	// _KB_TREEDLG_H
