/***************************************************************************
    file	         : tkc_listaddrem.h
    copyright            : (C) 1999,2000,2001,2002,2003 by Mike Richardson
			   (C) 2000,2001,2002,2003 by theKompany.com
			   (C) 2001,2002,2003 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__TKC_LISTADDREM_H
#define	__TKC_LISTADDREM_H

#include	<qobject.h>

#include	"libkbase_exports.h"


class	RKListBox	;
class	RKLineEdit	;
class	RKPushButton	;


class	LIBKBASE_API TKCListAddRem : public QObject
{
	Q_OBJECT

	RKLineEdit	*m_edit		;
	RKListBox	*m_list		;
	RKPushButton	*m_bAdd		;
	RKPushButton	*m_bRemove	;
	bool		m_sorted	;

protected slots :

	void		clickAdd	() 	;
	void		clickRemove	() 	;
	void		highlighted	(int) 	;

public	:

	TKCListAddRem 
	(	RKLineEdit	*,
		RKListBox	*,
		RKPushButton	*,
		RKPushButton	*,
		bool
	)	;

	void		clear		()	;
	void		addToList	(const QString &) ;
}	;

#endif	// __TKC_LISTADDREM_H
