/***************************************************************************
    file	         : kb_wizcolor.h
    copyright            : (C) 1999,2000,2001,2002,2003 by Mike Richardson
			   (C) 2000,2001,2002,2003 by theKompany.com
			   (C) 2001,2002,2003 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef		__KB_WIZCOLOR_H
#define		__KB_WIZCOLOR_H

#include	"kb_wizard.h"

#include	"libwizard_exports.h"

class		RKLineEdit	;

/*  KBWizardCtrlColor							*/
/*  ----------------							*/
/*  This class is used in wizards to select a Color			*/

class	LIBWIZARD_API KBWizardCtrlColor : public KBWizardCtrl
{
	Q_OBJECT

	QString			m_type		;
	RKLineEdit		*m_wizColor	;

protected slots :

	void		slotSetColor	()	;
	void		slotClearColor	()	;

public	:

	KBWizardCtrlColor
	(	KBWizardPage		*,
		const QDomElement	&
	)	;

	virtual	~KBWizardCtrlColor	()	;

	virtual	void	setValue	(const QString &) ;
	virtual	QString	value		()	;		
	virtual	void	save		(int)	;
}	;

#endif		// __KB_WIZCOLOR_H
