/***************************************************************************
    file	         : kb_wizexpr.h
    copyright            : (C) 1999,2000,2001,2002,2003 by Mike Richardson
			   (C) 2000,2001,2002,2003 by theKompany.com
			   (C) 2001,2002,2003 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__KB_WIZEXPR_H
#define	__KB_WIZEXPR_H


#include	"kb_classes.h"
#include	"kb_database.h"
#include	"kb_wizard.h"
#include	"kb_listboxpair.h"

#include	"libwizard_exports.h"


/*  KBWizardCtrlExpr							*/
/*  ------------------							*/
/*  Wizard control used to allow expression entry, based on the columns	*/
/*  in a table or query.						*/

class	LIBWIZARD_API KBWizardCtrlExpr : public KBWizardComboBox
{
	Q_OBJECT

	QString		m_sourceName	;
	bool		m_allowEmpty	;

public	:

	KBWizardCtrlExpr
	(	KBWizardPage		*,
		const QDomElement	&
	)	;

	virtual	~KBWizardCtrlExpr	()	;

	virtual	void	pageShown	(bool)	;
	virtual	void	setValue	(const QString &) ;
	virtual	QString	value		()	;		
}	;

#endif	// __KB_WIZEXPR_H
