/***************************************************************************
    file	         : kb_wizfont.h
    copyright            : (C) 1999,2000,2001,2002,2003 by Mike Richardson
			   (C) 2000,2001,2002,2003 by theKompany.com
			   (C) 2001,2002,2003 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef		__KB_WIZFONT_H
#define		__KB_WIZFONT_H

#include	"kb_wizard.h"

#include	"libwizard_exports.h"

class		RKLineEdit	;


/*  KBWizardCtrlFont							*/
/*  ----------------							*/
/*  This class is used in wizards to select a font			*/

class	LIBWIZARD_API KBWizardCtrlFont : public KBWizardCtrl
{
	Q_OBJECT

	QString			m_type		;
	RKLineEdit		*m_wizFont	;

protected slots :

	void		slotSetFont	()	;
	void		slotClearFont	()	;

public	:

	KBWizardCtrlFont
	(	KBWizardPage		*,
		const QDomElement	&
	)	;

	virtual	~KBWizardCtrlFont	()	;

	virtual	void	setValue	(const QString &) ;
	virtual	QString	value		()	;		
	virtual	void	save		(int)	;
}	;

#endif		// __KB_WIZFONT_H
