/***************************************************************************
    file	         : kb_wizformat.h
    copyright            : (C) 1999,2000,2001,2002,2003 by Mike Richardson
			   (C) 2000,2001,2002,2003 by theKompany.com
			   (C) 2001,2002,2003 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__KB_WIZFORMAT_H
#define	__KB_WIZFORMAT_H

#include	"kb_wizard.h"
#include	"kb_formatdlg.h"

#include	"libwizard_exports.h"


class	LIBWIZARD_API KBWizardCtrlFormat : public KBWizardComboBox
{
	QString		m_type		;
	struct	aFormat	*m_format	;

public	:

	KBWizardCtrlFormat
	(	KBWizardPage		*,
		const QDomElement	&
	)	;

	virtual	~KBWizardCtrlFormat	()	;

	virtual	void	setValue	(const QString &) ;
	virtual	QString	value		()	;
	virtual	void	save		(int)	;
}	;

#endif	// __KB_WIZFORMAT_H
