#include	"kb_location.h"
#include	"kb_wizkbctrl.h"



/*  KBWizardKBField							*/
/*  KBWizardKBField							*/
/*		: Constructor for field wizard				*/
/*  location	: KBLocation &	  : Dummy location			*/
/*  server	: const QString & : Server name				*/
/*  (returns)	: KBWizardKBField	  :					*/

KBWizardKBField::KBWizardKBField
	(	KBLocation	&location,
		const QString	&server
	)
	:
	KBWizardKBControl   (location, server, "KBField")
{
}


/*  KBWizardKBMemo							*/
/*  KBWizardKBMemo							*/
/*		: Constructor for memo wizard				*/
/*  location	: KBLocation &	  : Dummy location			*/
/*  server	: const QString & : Server name				*/
/*  (returns)	: KBWizardKBMemo	  :					*/

KBWizardKBMemo::KBWizardKBMemo
	(	KBLocation	&location,
		const QString	&server
	)
	:
	KBWizardKBControl   (location, server, "KBMemo")
{
}


/*  KBWizardKBRichText							*/
/*  KBWizardKBRichText							*/
/*		: Constructor for richtext control wizard		*/
/*  location	: KBLocation &	  : Dummy location			*/
/*  server	: const QString & : Server name				*/
/*  (returns)	: KBWizardKBRichText	  :					*/

KBWizardKBRichText::KBWizardKBRichText
	(	KBLocation	&location,
		const QString	&server
	)
	:
	KBWizardKBControl   (location, server, "KBRichText")
{
}


/*  KBWizardKBLinkTable							*/
/*  KBWizardKBLinkTable							*/
/*		: Constructor for link table wizard			*/
/*  location	: KBLocation &	  	: Dummy location		*/
/*  server	: const QString & 	: Server name			*/
/*  (returns)	: KBWizardKBLinkTable	:				*/

KBWizardKBLinkTable::KBWizardKBLinkTable
	(	KBLocation	&location,
		const QString	&server
	)
	:
	KBWizardKBControl   (location, server, "KBLinkTable")
{
}

/*  KBWizardKBLinkQuery							*/
/*  KBWizardKBLinkQuery							*/
/*		: Constructor for query link wizard			*/
/*  location	: KBLocation &	  	: Dummy location		*/
/*  server	: const QString & 	: Server name			*/
/*  (returns)	: KBWizardKBLinkQuery	:				*/

KBWizardKBLinkQuery::KBWizardKBLinkQuery
	(	KBLocation	&location,
		const QString	&server
	)
	:
	KBWizardKBControl   (location, server, "KBLinkQuery")
{
}

/*  KBWizardKBChoice							*/
/*  KBWizardKBChoice							*/
/*		: Constructor for field wizard				*/
/*  location	: KBLocation &	  : Dummy location			*/
/*  server	: const QString & : Server name				*/
/*  (returns)	: KBWizardKBChoice	  :					*/

KBWizardKBChoice::KBWizardKBChoice
	(	KBLocation	&location,
		const QString	&server
	)
	:
	KBWizardKBControl   (location, server, "KBChoice")
{
}


/*  KBWizardKBCheck							*/
/*  KBWizardKBCheck							*/
/*		: Constructor for field wizard				*/
/*  location	: KBLocation &	  : Dummy location			*/
/*  server	: const QString & : Server name				*/
/*  (returns)	: KBWizardKBCheck	  :					*/

KBWizardKBCheck::KBWizardKBCheck
	(	KBLocation	&location,
		const QString	&server
	)
	:
	KBWizardKBControl   (location, server, "KBCheck")
{
}


/*  KBWizardKBSpinBox							*/
/*  KBWizardKBSpinBox							*/
/*		: Constructor for spin box wizard			*/
/*  location	: KBLocation &	   : Dummy location			*/
/*  server	: const QString &  : Server name			*/
/*  (returns)	: KBWizardKBSpinBox:					*/

KBWizardKBSpinBox::KBWizardKBSpinBox
	(	KBLocation	&location,
		const QString	&server
	)
	:
	KBWizardKBControl   (location, server, "KBSpinBox")
{
}

/*  KBWizardKBLabel							*/
/*  KBWizardKBLabel							*/
/*		: Constructor for label wizard				*/
/*  location	: KBLocation &	  : Dummy location			*/
/*  server	: const QString & : Server name				*/
/*  (returns)	: KBWizardKBLabel :					*/

KBWizardKBLabel::KBWizardKBLabel
	(	KBLocation	&location,
		const QString	&server
	)
	:
	KBWizardKBControl   (location, server, "KBLabel")
{
}



WIZARDREG(KBField)
WIZARDREG(KBMemo)
WIZARDREG(KBRichText)
WIZARDREG(KBChoice)
WIZARDREG(KBCheck)
WIZARDREG(KBSpinBox)
WIZARDREG(KBLinkTable)
WIZARDREG(KBLinkQuery)
WIZARDREG(KBLabel)
