/***************************************************************************
    file	         : kb_wizobjlist.h
    copyright            : (C) 1999,2000,2001,2002,2003 by Mike Richardson
			   (C) 2000,2001,2002,2003 by theKompany.com
			   (C) 2001,2002,2003 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__KB_WIZOBJLIST_H
#define	__KB_WIZOBJLIST_H

#include	"kb_wizard.h"

#include	"libwizard_exports.h"

class	RKComboBox	;

class	LIBWIZARD_API KBWizardCtrlObjList : public KBWizardCtrl
{
	Q_OBJECT

	RKComboBox	*m_objlist	;

	void		loadObjects	(const QString &, const QString &) ;

public	:

	KBWizardCtrlObjList
	(	KBWizardPage		*,
		const QDomElement	&
	)	;

	virtual	~KBWizardCtrlObjList	()	;

	virtual	void	setValue	(const QString &) ;
	virtual	QString	value		()	;		
}	;

#endif	// __KB_WIZOBJLIST_H
