/***************************************************************************
    file	         : kb_wizsource.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__KB_WIZDATASOURCE_H
#define	__KB_WIZDATASOURCE_H

#include	"kb_wizard.h"
#include	"libwizard_exports.h"

class	RKComboBox	;

class	LIBWIZARD_API KBWizardCtrlDataSource : public KBWizardCtrl
{
	Q_OBJECT

public	:

	enum	Type
	{
		Any	= 0,
		Table	= 1,
		Query	= 2
	}	;

private	:

	RKComboBox	*m_source	;
	int		m_type		;

public	:

	KBWizardCtrlDataSource
	(	KBWizardPage		*,
		const QDomElement	&
	)	;

	virtual	~KBWizardCtrlDataSource	()	;

	virtual	QVariant
			attribute	(const QString &) ;
	virtual	void	setValue	(const QString &) ;
	virtual	QString	value		()	;		
}	;

#endif	// __KB_WIZDATASOURCE_H
