/***************************************************************************
    file	         : kb_wizwizfile.h
    copyright            : (C) 1999,2000,2001,2002,2003 by Mike Richardson
			   (C) 2000,2001,2002,2003 by theKompany.com
			   (C) 2001,2002,2003 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__KB_WIZWIZFILE_H
#define	__KB_WIZWIZFILE_H

#include	"kb_wizard.h"

#include	"libwizard_exports.h"
#include	"tk_filedialog.h"

class	RKLineEdit	;

/*  KBWizardCtrlWizFile							*/
/*  ------------------							*/
/*  This class is used in wizards to select a directory and file, for	*/
/*  instance for a rekall database .rkl file.				*/

class	LIBWIZARD_API KBWizardCtrlWizFile : public KBWizardCtrl
{
	Q_OBJECT

	RKLineEdit		*m_wizFile	;
	KBFileDialog::KBMode	m_mode		;
	QString			m_caption	;

protected slots :

	void		slotClickFile	()	;

public	:

	KBWizardCtrlWizFile
	(	KBWizardPage		*,
		const QDomElement	&
	)	;

	virtual	~KBWizardCtrlWizFile	()	;

	virtual	void	setValue	(const QString &) ;
	virtual	QString	value		()	;		
}	;

#endif	// __KB_WIZWIZFILE_H
