/***************************************************************************
    file	         : kb_formtransaction.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef		__KB_FORMTRANSACTION_H
#define		__KB_FORMTRANSACTION_H

#include	"kb_error.h"
#include	"kb_dblink.h"

class	KBDocRoot	;

class	KBFormTransaction
{
	KBDocRoot	*m_docRoot	;
	bool		m_usetrans	;
	void		*m_cookie	;

	KBDBLink	m_dbLink	;
	bool		m_active	;
	KBError		m_lError	;

public	:

	bool		begin		()	;
	bool		rollback	()	;

	const KBError	&lastError	()	;

	KBFormTransaction		(KBDocRoot *, bool) ;
	~KBFormTransaction		()	;
}	;

#endif		// __KB_FORMTRANSACTION_H
