/***************************************************************************
    file	         : kb_qryspace_std.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	_KB_QRYSPACE_H
#define	_KB_QRYSPACE_H


#include	<qworkspace.h>

class		KBQueryDlg	;



/*  KBQueryspace							*/
/*  ------------							*/
/*  This widget is used to handle the area used to display listboxes	*/
/*  corresponding to tables that have been added to the query		*/

class	KBQueryspace : public QWorkspace
{
	Q_OBJECT

	KBQueryDlg	*m_qryDlg	;

protected	:

	virtual	void	paintEvent	   (QPaintEvent *) ;
	virtual	void	mouseReleaseEvent  (QMouseEvent *) ;

public	:

	KBQueryspace	(QWidget *, KBQueryDlg *) ;

	inline	QWidget	*spaceWidget ()
	{
		return	this	;
	}
}	;

#endif	//_KB_QRYSPACE_H
