/***************************************************************************
    file	         : kb_querylist.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/


#ifndef	_KB_QUERYLIST_H
#define	_KB_QUERYLIST_H

#include	"kb_filelist.h"


/*  KBQueryList								*/
/*  ----------								*/
/*  Widget used to list all the queries in a database			*/

class	KBQueryList : public KBFileList
{
	Q_OBJECT

protected :

	virtual	void	showServerMenu	(int)	;
	virtual	void	showObjectMenu	(int)	;

protected slots :

	virtual	void	renameQuery ()	  ;
	virtual	void	deleteQuery ()	  ;

public	:

	KBQueryList  (QWidget *, KBDBInfo *) ;
       ~KBQueryList  () ;
}	;

#endif	// _KB_QUERYLIST_H
