/***************************************************************************
    file	         : kb_reportlist.h
    copyright            : (C) 1999,2000,2001,2002,2003 by Mike Richardson
			   (C) 2000,2001,2002,2003 by theKompany.com
			   (C) 2001,2002,2003 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	_KB_REPORTLIST_H
#define	_KB_REPORTLIST_H

#include	"kb_filelist.h"


/*  KBReportList								*/
/*  ------------								*/
/*  Widget used to list all the reports in a database			*/

class	KBReportList : public KBFileList
{
	Q_OBJECT


protected :

	virtual	void	showServerMenu	(int)	;
	virtual	void	showObjectMenu	(int)	;
#if	! __KB_RUNTIME
	virtual	void	createByWizard	(KBListItem    *) ;
#endif

protected slots :

	virtual	void	renameReport()	  ;
	virtual	void	deleteReport()	  ;
	virtual	void	reportView  ()	  ;

public	:

	KBReportList  (QWidget *, KBDBInfo *) ;
       ~KBReportList  () ;
}	;

#endif	// _KB_REPORTLIST_H
