/***************************************************************************
    file	         : kb_designform.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

static	char	designForm[]	= 
"<?xml version=\"1.0\"?>\n"
"<!DOCTYPE KBaseForm SYSTEM \"kbaseform.dtd\">\n"
"<KBForm x=\"0\" y=\"0\" w=\"670\" h=\"430\" name=\"TableDesign\" rowcount=\"0\" dx=\"0\" dy=\"%{_h_:1:0}\" language=\"py\" onload=\"#Load\" oncurrent=\"#Current\" onuncurrent=\"#UnCurrent\" autosync=\"No\" stretch=\"Yes\" bgcolor=\"0xe1e1e1\">\n"
"  <KBScript module=\"//script/py/TableDesignSTD\"/>\n"
"  <KBQryDesign server=\"${_server}\" table=\"${_table}\" create=\"${_create}\"/>\n"
"  <KBContainer taborder=\"1\" x=\"0\" y=\"10\" w=\"10\" h=\"%{_h_:9:20}\" name=\"Main\" xmode=\"2\" ymode=\"2\" bgcolor=\"0xe1e1e1\" showbar=\"Yes\">\n"
"    <KBGrid x=\"40\" y=\"0\" w=\"30\" h=\"%{_h_:1:0}\" xmode=\"2\" nosort=\"Yes\"/>\n"
"    <KBRowMark x=\"10\" y=\"%{_h_:1:0}\" w=\"30\" h=\"%{_h_:1:0}\" name=\"RowMark\" expr=\"RowMark\" taborder=\"0\" bgcolor=\"0xc0c0c0\" showrow=\"Yes\"/>\n"
"    <KBField x=\"40\" y=\"%{_h_:1:0}\" w=\"150\" h=\"%{_h_:1:0}\" name=\"Name\" expr=\"_name\" taborder=\"1\" nullok=\"Yes\" igncase=\"Yes\"/>\n"
"    <KBChoice x=\"190\" y=\"%{_h_:1:0}\" w=\"100\" h=\"%{_h_:1:0}\" name=\"Type\" master=\"_type\" taborder=\"2\" nullok=\"Yes\" onchange=\"#TypeChange\"/>\n"
"    <KBCheck x=\"300\" y=\"%{_h_:1:0}\" w=\"40\" h=\"%{_h_:1:0}\" name=\"PKey\" expr=\"_primary\" taborder=\"4\" onchange=\"#PrimaryChange\"/>\n"
"    <KBField x=\"350\" y=\"%{_h_:1:0}\" w=\"20\" h=\"%{_h_:1:0}\" name=\"Description\" expr=\"_descrip\" taborder=\"6\" nullok=\"Yes\" igncase=\"Yes\"/>\n"
"  </KBContainer>\n"
"  <KBFormSubBlock taborder=\"0\" x=\"10\" y=\"%{_h_:9:20}\" w=\"10\" h=\"%{_h_:9:20}\" xmode=\"2\" ymode=\"1\" name=\"Details\" bgcolor=\"0xefe4bb\" frame=\"50,1\" rowcount=\"1\" dy=\"%{_h_:1:0}\" onaction=\"#Action\">\n"
"    <KBLabel x=\"20\" y=\"%{_h_:0:10}\" w=\"150\" h=\"%{_h_:1:0}\" text=\"Length/Prec\" align=\"1\"/>\n"
"    <KBLabel x=\"20\" y=\"%{_h_:1:10}\" w=\"150\" h=\"%{_h_:1:0}\" text=\"Null OK\" align=\"1\"/>\n"
"    <KBLabel x=\"20\" y=\"%{_h_:2:10}\" w=\"150\" h=\"%{_h_:1:0}\" text=\"Indexed\" align=\"1\"/>\n"
"    <KBLabel x=\"20\" y=\"%{_h_:3:10}\" w=\"150\" h=\"%{_h_:1:0}\" text=\"Unique\" align=\"1\"/>\n"
"    <KBLabel x=\"20\" y=\"%{_h_:4:10}\" w=\"150\" h=\"%{_h_:1:0}\" text=\"Validator\" align=\"1\"/>\n"
"    <KBLabel x=\"20\" y=\"%{_h_:5:10}\" w=\"150\" h=\"%{_h_:1:0}\" text=\"Ignore Case\" align=\"1\"/>\n"
"    <KBLabel x=\"20\" y=\"%{_h_:6:10}\" w=\"150\" h=\"%{_h_:1:0}\" text=\"Default Value\" align=\"1\"/>\n"
"    <KBLabel x=\"20\" y=\"%{_h_:7:10}\" w=\"150\" h=\"%{_h_:1:0}\" text=\"Format\" align=\"1\"/>\n"
"    <KBLabel x=\"20\" y=\"%{_h_:8:10}\" w=\"150\" h=\"%{_h_:1:0}\" text=\"Link\" align=\"1\"/>\n"
"    <KBField x=\"170\" y=\"%{_h_:0:10}\" w=\"100\" h=\"%{_h_:1:0}\" name=\"Length\" expr=\"_length\" taborder=\"1\" nullok=\"Yes\" align=\"1\" onenter=\"#EnterDesign\"/>\n"
"    <KBField x=\"270\" y=\"%{_h_:0:10}\" w=\"100\" h=\"%{_h_:1:0}\" name=\"Prec\" expr=\"_prec\" taborder=\"2\" nullok=\"Yes\" align=\"1\" onenter=\"#EnterDesign\"/>\n"
"    <KBChoice x=\"170\" y=\"%{_h_:1:10}\" w=\"200\" h=\"%{_h_:1:0}\" name=\"NullOK\" master=\"_nullok\" taborder=\"3\" nullok=\"Yes\" values=\"No|Yes\" onenter=\"#EnterDesign\"/>\n"
"    <KBChoice x=\"170\" y=\"%{_h_:2:10}\" w=\"200\" h=\"%{_h_:1:0}\" name=\"Indexed\" master=\"_indexed\" taborder=\"4\" nullok=\"Yes\" values=\"No|Yes\" onenter=\"#EnterDesign\"/>\n"
"    <KBChoice x=\"170\" y=\"%{_h_:3:10}\" w=\"200\" h=\"%{_h_:1:0}\" name=\"Unique\" master=\"_unique\" taborder=\"5\" nullok=\"Yes\" values=\"No|Yes\" onenter=\"#EnterDesign\"/>\n"
"    <KBField x=\"170\" y=\"%{_h_:4:10}\" w=\"200\" h=\"%{_h_:1:0}\" name=\"Evalid\" expr=\"_evalid\" taborder=\"6\" nullok=\"Yes\" align=\"1\" onenter=\"#EnterDesign\"/>\n"
"    <KBChoice x=\"170\" y=\"%{_h_:5:10}\" w=\"200\" h=\"%{_h_:1:0}\" name=\"Igncase\" master=\"_igncase\" taborder=\"7\" values=\"Yes|No\" nullok=\"Yes\" onenter=\"#EnterDesign\"/>\n"
"    <KBField x=\"170\" y=\"%{_h_:6:10}\" w=\"200\" h=\"%{_h_:1:0}\" name=\"Defval\" expr=\"_defval\" taborder=\"8\" nullok=\"Yes\" align=\"1\" onenter=\"#EnterDesign\"/>\n"
"    <KBField x=\"170\" y=\"%{_h_:7:10}\" w=\"200\" h=\"%{_h_:1:0}\" name=\"Format\" expr=\"_format\" taborder=\"9\" nullok=\"Yes\" align=\"1\" helper=\"format\" onenter=\"#EnterDesign\"/>\n"
"    <KBField x=\"170\" y=\"%{_h_:8:10}\" w=\"200\" h=\"%{_h_:1:0}\" name=\"Link\" expr=\"_link\" taborder=\"10\" nullok=\"Yes\" align=\"1\" helper=\"_tableLookup\" onenter=\"#EnterDesign\"/>\n"
"    <KBRichText x=\"400\" y=\"10\" w=\"10\" h=\"%{_h_:9:0}\" xmode=\"2\" name=\"Info\"/>\n"
"  </KBFormSubBlock>\n"
"</KBForm>\n"
;
