/***************************************************************************
    file	         : rk_box.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef		__RK_BOX_H
#define		__RK_BOX_H

#include	<qframe.h>
#include	<qlayout.h>

#include 	"libtkkde_exports.h"

class	RKBoxLayout : public QBoxLayout
{
	bool		m_noMargin	;

public	:

	RKBoxLayout	(QWidget *, QBoxLayout::Direction, bool) ;

	void		setNoMargin	(bool)	;
	virtual	void	setMargin	(int)	;
	virtual	void	addItem		(QLayoutItem *)	;
}	;


class	LIBTKKDE_API	RKBox	: public QFrame
{
	Q_OBJECT

protected :

	bool	isNestedBox	() ;

public	:

	RKBox	(QWidget *, const char *, WFlags) ;

	void	setTracking	() ;
}	;

#endif		// __RK_BOX_H
