/***************************************************************************
    file	         : rk_dcop.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/


#ifndef		__RK_DCOP_H
#define		__RK_DCOP_H

#include	<qcstring.h>
#include	<qvaluelist.h>
#include	<qasciidict.h>

#include	<qcstring.h>
#include	<qobject.h>
#include	<qsocket.h>

#include	"rk_dcopbase.h"
#include 	"libtkkde_exports.h"


#define K_DCOP	\
	public	:        							\
		virtual		bool	process					\
					(	const QCString		&,	\
						const QByteArray	&,	\
						QCString		&,	\
						QByteArray		&	\
					)	;				\
		QCStringList		functions  () ;				\
		QCStringList		interfaces () ;				\
	private	:


/*  RKDCOPObject							*/
/*  ------------							*/
/*  RKDCOP object, used to field requests for a specified object. In	*/
/*  the KDE version, this is a wrapper around the KDE DCOP object. For	*/
/*  the QT3-only, Windows and MAC OS/X versions, it is our own		*/
/*  implementation.							*/

class	LIBTKKDE_API	RKDCOPObject : public RKDCOPBase
{
public	:

	RKDCOPObject		(const char *)	;
	virtual	~RKDCOPObject	()		;
}	;

#endif		// __RK_DCOP_H
