/***************************************************************************
    file	         : kb_pyvalue.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
			   (C)	2005
			   	Abel Deuring
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/


#ifndef 	__KB_PYVALUE_H
#define		__KB_PYVALUE_H

#include 	"kb_python.h"

#include 	<qstring.h>
#include 	<qtextcodec.h>

#include	"libpyscript_exports.h"

class	KBValue		;
class	KBError		;
class	KBLocation	;

extern	PyObject	LIBPYSCRIPT_API
			*kb_qStringToPyString	(const QString &qs) ;
extern	QString 	LIBPYSCRIPT_API
			kb_pyStringToQString	(PyObject *po, bool &error) ;
extern	KBValue		LIBPYSCRIPT_API
			*kb_pyKBValueCheck	(PyObject *po) ;	
extern	QCString	LIBPYSCRIPT_API
			pyEncodeSourcecode	(QString) ;
extern	bool		LIBPYSCRIPT_API
			checkScriptEncoding	(KBLocation &, const QString &qs, const char *, KBError &) ;

extern	PyTypeObject	pyKBValueType		;

#endif		// __KB_PYVALUE_H
