/***************************************************************************
    file	         : tkc_excskipdlg.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__TKC_EXCSKIPDLG_H
#define	__TKC_EXCSKIPDLG_H


#include	"kb_classes.h"
#include	"kb_dialog.h"
#include	"tkc_listaddrem.h"
#include	"rk_lineedit.h"

class	RKListBox	;
class	RKLineEdit	;
class	RKPushButton	;
class	TKCListAddRem	;

class	TKCExcSkipDlg	: public KBDialog
{
	Q_OBJECT

	QStringList	&m_excSkipList	;
	RKLineEdit	*m_edit		;
	RKListBox	*m_list		;
	RKPushButton	*m_bAdd		;
	RKPushButton	*m_bRemove	;
	TKCListAddRem	*m_addRemCtl	;


protected slots :

	virtual void	accept		() ;

public	:

	TKCExcSkipDlg	(QStringList &) ;
	~TKCExcSkipDlg	()		;
}	;


#endif	// __TKC_EXCSKIPDLG_H
